"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __name = (target, value) => __defProp(target, "name", { value, configurable: true });
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/index.ts
var src_exports = {};
__export(src_exports, {
  AccessDeniedException: () => AccessDeniedException,
  AdMarkerDash: () => AdMarkerDash,
  AdMarkerHls: () => AdMarkerHls,
  CancelHarvestJobCommand: () => CancelHarvestJobCommand,
  CmafEncryptionMethod: () => CmafEncryptionMethod,
  ConflictException: () => ConflictException,
  ConflictExceptionType: () => ConflictExceptionType,
  ContainerType: () => ContainerType,
  CreateChannelCommand: () => CreateChannelCommand,
  CreateChannelGroupCommand: () => CreateChannelGroupCommand,
  CreateHarvestJobCommand: () => CreateHarvestJobCommand,
  CreateOriginEndpointCommand: () => CreateOriginEndpointCommand,
  DashDrmSignaling: () => DashDrmSignaling,
  DashPeriodTrigger: () => DashPeriodTrigger,
  DashSegmentTemplateFormat: () => DashSegmentTemplateFormat,
  DashUtcTimingMode: () => DashUtcTimingMode,
  DeleteChannelCommand: () => DeleteChannelCommand,
  DeleteChannelGroupCommand: () => DeleteChannelGroupCommand,
  DeleteChannelPolicyCommand: () => DeleteChannelPolicyCommand,
  DeleteOriginEndpointCommand: () => DeleteOriginEndpointCommand,
  DeleteOriginEndpointPolicyCommand: () => DeleteOriginEndpointPolicyCommand,
  DrmSystem: () => DrmSystem,
  EndpointErrorCondition: () => EndpointErrorCondition,
  GetChannelCommand: () => GetChannelCommand,
  GetChannelGroupCommand: () => GetChannelGroupCommand,
  GetChannelPolicyCommand: () => GetChannelPolicyCommand,
  GetHarvestJobCommand: () => GetHarvestJobCommand,
  GetOriginEndpointCommand: () => GetOriginEndpointCommand,
  GetOriginEndpointPolicyCommand: () => GetOriginEndpointPolicyCommand,
  HarvestJobStatus: () => HarvestJobStatus,
  InputType: () => InputType,
  InternalServerException: () => InternalServerException,
  ListChannelGroupsCommand: () => ListChannelGroupsCommand,
  ListChannelsCommand: () => ListChannelsCommand,
  ListHarvestJobsCommand: () => ListHarvestJobsCommand,
  ListOriginEndpointsCommand: () => ListOriginEndpointsCommand,
  ListTagsForResourceCommand: () => ListTagsForResourceCommand,
  MediaPackageV2: () => MediaPackageV2,
  MediaPackageV2Client: () => MediaPackageV2Client,
  MediaPackageV2ServiceException: () => MediaPackageV2ServiceException,
  PresetSpeke20Audio: () => PresetSpeke20Audio,
  PresetSpeke20Video: () => PresetSpeke20Video,
  PutChannelPolicyCommand: () => PutChannelPolicyCommand,
  PutOriginEndpointPolicyCommand: () => PutOriginEndpointPolicyCommand,
  ResourceNotFoundException: () => ResourceNotFoundException,
  ResourceTypeNotFound: () => ResourceTypeNotFound,
  ScteFilter: () => ScteFilter,
  ServiceQuotaExceededException: () => ServiceQuotaExceededException,
  TagResourceCommand: () => TagResourceCommand,
  ThrottlingException: () => ThrottlingException,
  TsEncryptionMethod: () => TsEncryptionMethod,
  UntagResourceCommand: () => UntagResourceCommand,
  UpdateChannelCommand: () => UpdateChannelCommand,
  UpdateChannelGroupCommand: () => UpdateChannelGroupCommand,
  UpdateOriginEndpointCommand: () => UpdateOriginEndpointCommand,
  ValidationException: () => ValidationException,
  ValidationExceptionType: () => ValidationExceptionType,
  __Client: () => import_smithy_client.Client,
  paginateListChannelGroups: () => paginateListChannelGroups,
  paginateListChannels: () => paginateListChannels,
  paginateListHarvestJobs: () => paginateListHarvestJobs,
  paginateListOriginEndpoints: () => paginateListOriginEndpoints,
  waitForHarvestJobFinished: () => waitForHarvestJobFinished,
  waitUntilHarvestJobFinished: () => waitUntilHarvestJobFinished
});
module.exports = __toCommonJS(src_exports);

// src/MediaPackageV2Client.ts
var import_middleware_host_header = require("@aws-sdk/middleware-host-header");
var import_middleware_logger = require("@aws-sdk/middleware-logger");
var import_middleware_recursion_detection = require("@aws-sdk/middleware-recursion-detection");
var import_middleware_user_agent = require("@aws-sdk/middleware-user-agent");
var import_config_resolver = require("@smithy/config-resolver");
var import_core = require("@smithy/core");
var import_middleware_content_length = require("@smithy/middleware-content-length");
var import_middleware_endpoint = require("@smithy/middleware-endpoint");
var import_middleware_retry = require("@smithy/middleware-retry");

var import_httpAuthSchemeProvider = require("./auth/httpAuthSchemeProvider");

// src/endpoint/EndpointParameters.ts
var resolveClientEndpointParameters = /* @__PURE__ */ __name((options) => {
  return {
    ...options,
    useDualstackEndpoint: options.useDualstackEndpoint ?? false,
    useFipsEndpoint: options.useFipsEndpoint ?? false,
    defaultSigningName: "mediapackagev2"
  };
}, "resolveClientEndpointParameters");
var commonParams = {
  UseFIPS: { type: "builtInParams", name: "useFipsEndpoint" },
  Endpoint: { type: "builtInParams", name: "endpoint" },
  Region: { type: "builtInParams", name: "region" },
  UseDualStack: { type: "builtInParams", name: "useDualstackEndpoint" }
};

// src/MediaPackageV2Client.ts
var import_runtimeConfig = require("././runtimeConfig");

// src/runtimeExtensions.ts
var import_region_config_resolver = require("@aws-sdk/region-config-resolver");
var import_protocol_http = require("@smithy/protocol-http");
var import_smithy_client = require("@smithy/smithy-client");

// src/auth/httpAuthExtensionConfiguration.ts
var getHttpAuthExtensionConfiguration = /* @__PURE__ */ __name((runtimeConfig) => {
  const _httpAuthSchemes = runtimeConfig.httpAuthSchemes;
  let _httpAuthSchemeProvider = runtimeConfig.httpAuthSchemeProvider;
  let _credentials = runtimeConfig.credentials;
  return {
    setHttpAuthScheme(httpAuthScheme) {
      const index = _httpAuthSchemes.findIndex((scheme) => scheme.schemeId === httpAuthScheme.schemeId);
      if (index === -1) {
        _httpAuthSchemes.push(httpAuthScheme);
      } else {
        _httpAuthSchemes.splice(index, 1, httpAuthScheme);
      }
    },
    httpAuthSchemes() {
      return _httpAuthSchemes;
    },
    setHttpAuthSchemeProvider(httpAuthSchemeProvider) {
      _httpAuthSchemeProvider = httpAuthSchemeProvider;
    },
    httpAuthSchemeProvider() {
      return _httpAuthSchemeProvider;
    },
    setCredentials(credentials) {
      _credentials = credentials;
    },
    credentials() {
      return _credentials;
    }
  };
}, "getHttpAuthExtensionConfiguration");
var resolveHttpAuthRuntimeConfig = /* @__PURE__ */ __name((config) => {
  return {
    httpAuthSchemes: config.httpAuthSchemes(),
    httpAuthSchemeProvider: config.httpAuthSchemeProvider(),
    credentials: config.credentials()
  };
}, "resolveHttpAuthRuntimeConfig");

// src/runtimeExtensions.ts
var asPartial = /* @__PURE__ */ __name((t) => t, "asPartial");
var resolveRuntimeExtensions = /* @__PURE__ */ __name((runtimeConfig, extensions) => {
  const extensionConfiguration = {
    ...asPartial((0, import_region_config_resolver.getAwsRegionExtensionConfiguration)(runtimeConfig)),
    ...asPartial((0, import_smithy_client.getDefaultExtensionConfiguration)(runtimeConfig)),
    ...asPartial((0, import_protocol_http.getHttpHandlerExtensionConfiguration)(runtimeConfig)),
    ...asPartial(getHttpAuthExtensionConfiguration(runtimeConfig))
  };
  extensions.forEach((extension) => extension.configure(extensionConfiguration));
  return {
    ...runtimeConfig,
    ...(0, import_region_config_resolver.resolveAwsRegionExtensionConfiguration)(extensionConfiguration),
    ...(0, import_smithy_client.resolveDefaultRuntimeConfig)(extensionConfiguration),
    ...(0, import_protocol_http.resolveHttpHandlerRuntimeConfig)(extensionConfiguration),
    ...resolveHttpAuthRuntimeConfig(extensionConfiguration)
  };
}, "resolveRuntimeExtensions");

// src/MediaPackageV2Client.ts
var MediaPackageV2Client = class extends import_smithy_client.Client {
  static {
    __name(this, "MediaPackageV2Client");
  }
  /**
   * The resolved configuration of MediaPackageV2Client class. This is resolved and normalized from the {@link MediaPackageV2ClientConfig | constructor configuration interface}.
   */
  config;
  constructor(...[configuration]) {
    const _config_0 = (0, import_runtimeConfig.getRuntimeConfig)(configuration || {});
    const _config_1 = resolveClientEndpointParameters(_config_0);
    const _config_2 = (0, import_middleware_user_agent.resolveUserAgentConfig)(_config_1);
    const _config_3 = (0, import_middleware_retry.resolveRetryConfig)(_config_2);
    const _config_4 = (0, import_config_resolver.resolveRegionConfig)(_config_3);
    const _config_5 = (0, import_middleware_host_header.resolveHostHeaderConfig)(_config_4);
    const _config_6 = (0, import_middleware_endpoint.resolveEndpointConfig)(_config_5);
    const _config_7 = (0, import_httpAuthSchemeProvider.resolveHttpAuthSchemeConfig)(_config_6);
    const _config_8 = resolveRuntimeExtensions(_config_7, configuration?.extensions || []);
    super(_config_8);
    this.config = _config_8;
    this.middlewareStack.use((0, import_middleware_user_agent.getUserAgentPlugin)(this.config));
    this.middlewareStack.use((0, import_middleware_retry.getRetryPlugin)(this.config));
    this.middlewareStack.use((0, import_middleware_content_length.getContentLengthPlugin)(this.config));
    this.middlewareStack.use((0, import_middleware_host_header.getHostHeaderPlugin)(this.config));
    this.middlewareStack.use((0, import_middleware_logger.getLoggerPlugin)(this.config));
    this.middlewareStack.use((0, import_middleware_recursion_detection.getRecursionDetectionPlugin)(this.config));
    this.middlewareStack.use(
      (0, import_core.getHttpAuthSchemeEndpointRuleSetPlugin)(this.config, {
        httpAuthSchemeParametersProvider: import_httpAuthSchemeProvider.defaultMediaPackageV2HttpAuthSchemeParametersProvider,
        identityProviderConfigProvider: async (config) => new import_core.DefaultIdentityProviderConfig({
          "aws.auth#sigv4": config.credentials
        })
      })
    );
    this.middlewareStack.use((0, import_core.getHttpSigningPlugin)(this.config));
  }
  /**
   * Destroy underlying resources, like sockets. It's usually not necessary to do this.
   * However in Node.js, it's best to explicitly shut down the client's agent when it is no longer needed.
   * Otherwise, sockets might stay open for quite a long time before the server terminates them.
   */
  destroy() {
    super.destroy();
  }
};

// src/MediaPackageV2.ts


// src/commands/CancelHarvestJobCommand.ts

var import_middleware_serde = require("@smithy/middleware-serde");


// src/protocols/Aws_restJson1.ts
var import_core2 = require("@aws-sdk/core");


var import_uuid = require("uuid");

// src/models/MediaPackageV2ServiceException.ts

var MediaPackageV2ServiceException = class _MediaPackageV2ServiceException extends import_smithy_client.ServiceException {
  static {
    __name(this, "MediaPackageV2ServiceException");
  }
  /**
   * @internal
   */
  constructor(options) {
    super(options);
    Object.setPrototypeOf(this, _MediaPackageV2ServiceException.prototype);
  }
};

// src/models/models_0.ts
var AccessDeniedException = class _AccessDeniedException extends MediaPackageV2ServiceException {
  static {
    __name(this, "AccessDeniedException");
  }
  name = "AccessDeniedException";
  $fault = "client";
  Message;
  /**
   * @internal
   */
  constructor(opts) {
    super({
      name: "AccessDeniedException",
      $fault: "client",
      ...opts
    });
    Object.setPrototypeOf(this, _AccessDeniedException.prototype);
    this.Message = opts.Message;
  }
};
var AdMarkerDash = {
  BINARY: "BINARY",
  XML: "XML"
};
var AdMarkerHls = {
  DATERANGE: "DATERANGE"
};
var ConflictExceptionType = {
  CONFLICTING_OPERATION: "CONFLICTING_OPERATION",
  IDEMPOTENT_PARAMETER_MISMATCH: "IDEMPOTENT_PARAMETER_MISMATCH",
  RESOURCE_ALREADY_EXISTS: "RESOURCE_ALREADY_EXISTS",
  RESOURCE_IN_USE: "RESOURCE_IN_USE"
};
var ConflictException = class _ConflictException extends MediaPackageV2ServiceException {
  static {
    __name(this, "ConflictException");
  }
  name = "ConflictException";
  $fault = "client";
  Message;
  /**
   * <p>The type of ConflictException.</p>
   * @public
   */
  ConflictExceptionType;
  /**
   * @internal
   */
  constructor(opts) {
    super({
      name: "ConflictException",
      $fault: "client",
      ...opts
    });
    Object.setPrototypeOf(this, _ConflictException.prototype);
    this.Message = opts.Message;
    this.ConflictExceptionType = opts.ConflictExceptionType;
  }
};
var InternalServerException = class _InternalServerException extends MediaPackageV2ServiceException {
  static {
    __name(this, "InternalServerException");
  }
  name = "InternalServerException";
  $fault = "server";
  Message;
  /**
   * @internal
   */
  constructor(opts) {
    super({
      name: "InternalServerException",
      $fault: "server",
      ...opts
    });
    Object.setPrototypeOf(this, _InternalServerException.prototype);
    this.Message = opts.Message;
  }
};
var ResourceTypeNotFound = {
  CHANNEL: "CHANNEL",
  CHANNEL_GROUP: "CHANNEL_GROUP",
  HARVEST_JOB: "HARVEST_JOB",
  ORIGIN_ENDPOINT: "ORIGIN_ENDPOINT"
};
var ResourceNotFoundException = class _ResourceNotFoundException extends MediaPackageV2ServiceException {
  static {
    __name(this, "ResourceNotFoundException");
  }
  name = "ResourceNotFoundException";
  $fault = "client";
  Message;
  /**
   * <p>The specified resource type wasn't found.</p>
   * @public
   */
  ResourceTypeNotFound;
  /**
   * @internal
   */
  constructor(opts) {
    super({
      name: "ResourceNotFoundException",
      $fault: "client",
      ...opts
    });
    Object.setPrototypeOf(this, _ResourceNotFoundException.prototype);
    this.Message = opts.Message;
    this.ResourceTypeNotFound = opts.ResourceTypeNotFound;
  }
};
var ThrottlingException = class _ThrottlingException extends MediaPackageV2ServiceException {
  static {
    __name(this, "ThrottlingException");
  }
  name = "ThrottlingException";
  $fault = "client";
  Message;
  /**
   * @internal
   */
  constructor(opts) {
    super({
      name: "ThrottlingException",
      $fault: "client",
      ...opts
    });
    Object.setPrototypeOf(this, _ThrottlingException.prototype);
    this.Message = opts.Message;
  }
};
var ValidationExceptionType = {
  CENC_IV_INCOMPATIBLE: "CENC_IV_INCOMPATIBLE",
  CLIP_START_TIME_WITH_START_OR_END: "CLIP_START_TIME_WITH_START_OR_END",
  CONTAINER_TYPE_IMMUTABLE: "CONTAINER_TYPE_IMMUTABLE",
  DIRECT_MODE_WITH_TIMING_SOURCE: "DIRECT_MODE_WITH_TIMING_SOURCE",
  DRM_SIGNALING_MISMATCH_SEGMENT_ENCRYPTION_STATUS: "DRM_SIGNALING_MISMATCH_SEGMENT_ENCRYPTION_STATUS",
  DRM_SYSTEMS_ENCRYPTION_METHOD_INCOMPATIBLE: "DRM_SYSTEMS_ENCRYPTION_METHOD_INCOMPATIBLE",
  ENCRYPTION_CONTRACT_SHARED: "ENCRYPTION_CONTRACT_SHARED",
  ENCRYPTION_CONTRACT_UNENCRYPTED: "ENCRYPTION_CONTRACT_UNENCRYPTED",
  ENCRYPTION_CONTRACT_WITHOUT_AUDIO_RENDITION_INCOMPATIBLE: "ENCRYPTION_CONTRACT_WITHOUT_AUDIO_RENDITION_INCOMPATIBLE",
  ENCRYPTION_METHOD_CONTAINER_TYPE_MISMATCH: "ENCRYPTION_METHOD_CONTAINER_TYPE_MISMATCH",
  END_TIME_EARLIER_THAN_START_TIME: "END_TIME_EARLIER_THAN_START_TIME",
  HARVESTED_MANIFEST_HAS_START_END_FILTER_CONFIGURATION: "HARVESTED_MANIFEST_HAS_START_END_FILTER_CONFIGURATION",
  HARVESTED_MANIFEST_NOT_FOUND_ON_ENDPOINT: "HARVESTED_MANIFEST_NOT_FOUND_ON_ENDPOINT",
  HARVEST_JOB_CUSTOMER_ENDPOINT_READ_ACCESS_DENIED: "HARVEST_JOB_CUSTOMER_ENDPOINT_READ_ACCESS_DENIED",
  HARVEST_JOB_INELIGIBLE_FOR_CANCELLATION: "HARVEST_JOB_INELIGIBLE_FOR_CANCELLATION",
  HARVEST_JOB_S3_DESTINATION_MISSING_OR_INCOMPLETE: "HARVEST_JOB_S3_DESTINATION_MISSING_OR_INCOMPLETE",
  HARVEST_JOB_UNABLE_TO_WRITE_TO_S3_DESTINATION: "HARVEST_JOB_UNABLE_TO_WRITE_TO_S3_DESTINATION",
  INVALID_HARVEST_JOB_DURATION: "INVALID_HARVEST_JOB_DURATION",
  INVALID_MANIFEST_FILTER: "INVALID_MANIFEST_FILTER",
  INVALID_PAGINATION_MAX_RESULTS: "INVALID_PAGINATION_MAX_RESULTS",
  INVALID_PAGINATION_TOKEN: "INVALID_PAGINATION_TOKEN",
  INVALID_POLICY: "INVALID_POLICY",
  INVALID_ROLE_ARN: "INVALID_ROLE_ARN",
  INVALID_TIME_DELAY_SECONDS: "INVALID_TIME_DELAY_SECONDS",
  MANIFEST_DRM_SYSTEMS_INCOMPATIBLE: "MANIFEST_DRM_SYSTEMS_INCOMPATIBLE",
  MANIFEST_NAME_COLLISION: "MANIFEST_NAME_COLLISION",
  MEMBER_DOES_NOT_MATCH_PATTERN: "MEMBER_DOES_NOT_MATCH_PATTERN",
  MEMBER_INVALID: "MEMBER_INVALID",
  MEMBER_INVALID_ENUM_VALUE: "MEMBER_INVALID_ENUM_VALUE",
  MEMBER_MAX_LENGTH: "MEMBER_MAX_LENGTH",
  MEMBER_MAX_VALUE: "MEMBER_MAX_VALUE",
  MEMBER_MIN_LENGTH: "MEMBER_MIN_LENGTH",
  MEMBER_MIN_VALUE: "MEMBER_MIN_VALUE",
  MEMBER_MISSING: "MEMBER_MISSING",
  NONE_MODE_WITH_TIMING_SOURCE: "NONE_MODE_WITH_TIMING_SOURCE",
  NUM_MANIFESTS_HIGH: "NUM_MANIFESTS_HIGH",
  NUM_MANIFESTS_LOW: "NUM_MANIFESTS_LOW",
  ONLY_CMAF_INPUT_TYPE_ALLOW_FORCE_ENDPOINT_ERROR_CONFIGURATION: "ONLY_CMAF_INPUT_TYPE_ALLOW_FORCE_ENDPOINT_ERROR_CONFIGURATION",
  ONLY_CMAF_INPUT_TYPE_ALLOW_MQCS_INPUT_SWITCHING: "ONLY_CMAF_INPUT_TYPE_ALLOW_MQCS_INPUT_SWITCHING",
  ONLY_CMAF_INPUT_TYPE_ALLOW_MQCS_OUTPUT_CONFIGURATION: "ONLY_CMAF_INPUT_TYPE_ALLOW_MQCS_OUTPUT_CONFIGURATION",
  PERIOD_TRIGGERS_NONE_SPECIFIED_WITH_ADDITIONAL_VALUES: "PERIOD_TRIGGERS_NONE_SPECIFIED_WITH_ADDITIONAL_VALUES",
  ROLE_ARN_INVALID_FORMAT: "ROLE_ARN_INVALID_FORMAT",
  ROLE_ARN_LENGTH_OUT_OF_RANGE: "ROLE_ARN_LENGTH_OUT_OF_RANGE",
  ROLE_ARN_NOT_ASSUMABLE: "ROLE_ARN_NOT_ASSUMABLE",
  SOURCE_DISRUPTIONS_ENABLED_INCORRECTLY: "SOURCE_DISRUPTIONS_ENABLED_INCORRECTLY",
  START_TAG_TIME_OFFSET_INVALID: "START_TAG_TIME_OFFSET_INVALID",
  TIMING_SOURCE_MISSING: "TIMING_SOURCE_MISSING",
  TOO_MANY_IN_PROGRESS_HARVEST_JOBS: "TOO_MANY_IN_PROGRESS_HARVEST_JOBS",
  TS_CONTAINER_TYPE_WITH_DASH_MANIFEST: "TS_CONTAINER_TYPE_WITH_DASH_MANIFEST",
  UPDATE_PERIOD_SMALLER_THAN_SEGMENT_DURATION: "UPDATE_PERIOD_SMALLER_THAN_SEGMENT_DURATION",
  URL_INVALID: "URL_INVALID",
  URL_LINK_LOCAL_ADDRESS: "URL_LINK_LOCAL_ADDRESS",
  URL_LOCAL_ADDRESS: "URL_LOCAL_ADDRESS",
  URL_LOOPBACK_ADDRESS: "URL_LOOPBACK_ADDRESS",
  URL_MULTICAST_ADDRESS: "URL_MULTICAST_ADDRESS",
  URL_PORT: "URL_PORT",
  URL_SCHEME: "URL_SCHEME",
  URL_UNKNOWN_HOST: "URL_UNKNOWN_HOST",
  URL_USER_INFO: "URL_USER_INFO"
};
var ValidationException = class _ValidationException extends MediaPackageV2ServiceException {
  static {
    __name(this, "ValidationException");
  }
  name = "ValidationException";
  $fault = "client";
  Message;
  /**
   * <p>The type of ValidationException.</p>
   * @public
   */
  ValidationExceptionType;
  /**
   * @internal
   */
  constructor(opts) {
    super({
      name: "ValidationException",
      $fault: "client",
      ...opts
    });
    Object.setPrototypeOf(this, _ValidationException.prototype);
    this.Message = opts.Message;
    this.ValidationExceptionType = opts.ValidationExceptionType;
  }
};
var InputType = {
  CMAF: "CMAF",
  HLS: "HLS"
};
var ServiceQuotaExceededException = class _ServiceQuotaExceededException extends MediaPackageV2ServiceException {
  static {
    __name(this, "ServiceQuotaExceededException");
  }
  name = "ServiceQuotaExceededException";
  $fault = "client";
  Message;
  /**
   * @internal
   */
  constructor(opts) {
    super({
      name: "ServiceQuotaExceededException",
      $fault: "client",
      ...opts
    });
    Object.setPrototypeOf(this, _ServiceQuotaExceededException.prototype);
    this.Message = opts.Message;
  }
};
var ContainerType = {
  CMAF: "CMAF",
  TS: "TS"
};
var DashDrmSignaling = {
  INDIVIDUAL: "INDIVIDUAL",
  REFERENCED: "REFERENCED"
};
var DashPeriodTrigger = {
  AVAILS: "AVAILS",
  DRM_KEY_ROTATION: "DRM_KEY_ROTATION",
  NONE: "NONE",
  SOURCE_CHANGES: "SOURCE_CHANGES",
  SOURCE_DISRUPTIONS: "SOURCE_DISRUPTIONS"
};
var DashSegmentTemplateFormat = {
  NUMBER_WITH_TIMELINE: "NUMBER_WITH_TIMELINE"
};
var DashUtcTimingMode = {
  HTTP_HEAD: "HTTP_HEAD",
  HTTP_ISO: "HTTP_ISO",
  HTTP_XSDATE: "HTTP_XSDATE",
  UTC_DIRECT: "UTC_DIRECT"
};
var EndpointErrorCondition = {
  INCOMPLETE_MANIFEST: "INCOMPLETE_MANIFEST",
  MISSING_DRM_KEY: "MISSING_DRM_KEY",
  SLATE_INPUT: "SLATE_INPUT",
  STALE_MANIFEST: "STALE_MANIFEST"
};
var CmafEncryptionMethod = {
  CBCS: "CBCS",
  CENC: "CENC"
};
var TsEncryptionMethod = {
  AES_128: "AES_128",
  SAMPLE_AES: "SAMPLE_AES"
};
var DrmSystem = {
  CLEAR_KEY_AES_128: "CLEAR_KEY_AES_128",
  FAIRPLAY: "FAIRPLAY",
  IRDETO: "IRDETO",
  PLAYREADY: "PLAYREADY",
  WIDEVINE: "WIDEVINE"
};
var PresetSpeke20Audio = {
  PRESET_AUDIO_1: "PRESET_AUDIO_1",
  PRESET_AUDIO_2: "PRESET_AUDIO_2",
  PRESET_AUDIO_3: "PRESET_AUDIO_3",
  SHARED: "SHARED",
  UNENCRYPTED: "UNENCRYPTED"
};
var PresetSpeke20Video = {
  PRESET_VIDEO_1: "PRESET_VIDEO_1",
  PRESET_VIDEO_2: "PRESET_VIDEO_2",
  PRESET_VIDEO_3: "PRESET_VIDEO_3",
  PRESET_VIDEO_4: "PRESET_VIDEO_4",
  PRESET_VIDEO_5: "PRESET_VIDEO_5",
  PRESET_VIDEO_6: "PRESET_VIDEO_6",
  PRESET_VIDEO_7: "PRESET_VIDEO_7",
  PRESET_VIDEO_8: "PRESET_VIDEO_8",
  SHARED: "SHARED",
  UNENCRYPTED: "UNENCRYPTED"
};
var ScteFilter = {
  BREAK: "BREAK",
  DISTRIBUTOR_ADVERTISEMENT: "DISTRIBUTOR_ADVERTISEMENT",
  DISTRIBUTOR_OVERLAY_PLACEMENT_OPPORTUNITY: "DISTRIBUTOR_OVERLAY_PLACEMENT_OPPORTUNITY",
  DISTRIBUTOR_PLACEMENT_OPPORTUNITY: "DISTRIBUTOR_PLACEMENT_OPPORTUNITY",
  PROGRAM: "PROGRAM",
  PROVIDER_ADVERTISEMENT: "PROVIDER_ADVERTISEMENT",
  PROVIDER_OVERLAY_PLACEMENT_OPPORTUNITY: "PROVIDER_OVERLAY_PLACEMENT_OPPORTUNITY",
  PROVIDER_PLACEMENT_OPPORTUNITY: "PROVIDER_PLACEMENT_OPPORTUNITY",
  SPLICE_INSERT: "SPLICE_INSERT"
};
var HarvestJobStatus = {
  CANCELLED: "CANCELLED",
  COMPLETED: "COMPLETED",
  FAILED: "FAILED",
  IN_PROGRESS: "IN_PROGRESS",
  QUEUED: "QUEUED"
};

// src/protocols/Aws_restJson1.ts
var se_CancelHarvestJobCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = (0, import_smithy_client.map)({}, import_smithy_client.isSerializableHeaderValue, {
    [_xauim]: input[_ET]
  });
  b.bp(
    "/channelGroup/{ChannelGroupName}/channel/{ChannelName}/originEndpoint/{OriginEndpointName}/harvestJob/{HarvestJobName}"
  );
  b.p("ChannelGroupName", () => input.ChannelGroupName, "{ChannelGroupName}", false);
  b.p("ChannelName", () => input.ChannelName, "{ChannelName}", false);
  b.p("OriginEndpointName", () => input.OriginEndpointName, "{OriginEndpointName}", false);
  b.p("HarvestJobName", () => input.HarvestJobName, "{HarvestJobName}", false);
  let body;
  b.m("PUT").h(headers).b(body);
  return b.build();
}, "se_CancelHarvestJobCommand");
var se_CreateChannelCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = (0, import_smithy_client.map)({}, import_smithy_client.isSerializableHeaderValue, {
    "content-type": "application/json",
    [_xact]: input[_CT] ?? (0, import_uuid.v4)()
  });
  b.bp("/channelGroup/{ChannelGroupName}/channel");
  b.p("ChannelGroupName", () => input.ChannelGroupName, "{ChannelGroupName}", false);
  let body;
  body = JSON.stringify(
    (0, import_smithy_client.take)(input, {
      ChannelName: [],
      Description: [],
      InputSwitchConfiguration: (_) => (0, import_smithy_client._json)(_),
      InputType: [],
      OutputHeaderConfiguration: (_) => (0, import_smithy_client._json)(_),
      tags: [, (_) => (0, import_smithy_client._json)(_), `Tags`]
    })
  );
  b.m("POST").h(headers).b(body);
  return b.build();
}, "se_CreateChannelCommand");
var se_CreateChannelGroupCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = (0, import_smithy_client.map)({}, import_smithy_client.isSerializableHeaderValue, {
    "content-type": "application/json",
    [_xact]: input[_CT] ?? (0, import_uuid.v4)()
  });
  b.bp("/channelGroup");
  let body;
  body = JSON.stringify(
    (0, import_smithy_client.take)(input, {
      ChannelGroupName: [],
      Description: [],
      tags: [, (_) => (0, import_smithy_client._json)(_), `Tags`]
    })
  );
  b.m("POST").h(headers).b(body);
  return b.build();
}, "se_CreateChannelGroupCommand");
var se_CreateHarvestJobCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = (0, import_smithy_client.map)({}, import_smithy_client.isSerializableHeaderValue, {
    "content-type": "application/json",
    [_xact]: input[_CT] ?? (0, import_uuid.v4)()
  });
  b.bp("/channelGroup/{ChannelGroupName}/channel/{ChannelName}/originEndpoint/{OriginEndpointName}/harvestJob");
  b.p("ChannelGroupName", () => input.ChannelGroupName, "{ChannelGroupName}", false);
  b.p("ChannelName", () => input.ChannelName, "{ChannelName}", false);
  b.p("OriginEndpointName", () => input.OriginEndpointName, "{OriginEndpointName}", false);
  let body;
  body = JSON.stringify(
    (0, import_smithy_client.take)(input, {
      Description: [],
      Destination: (_) => (0, import_smithy_client._json)(_),
      HarvestJobName: [],
      HarvestedManifests: (_) => (0, import_smithy_client._json)(_),
      ScheduleConfiguration: (_) => se_HarvesterScheduleConfiguration(_, context),
      Tags: (_) => (0, import_smithy_client._json)(_)
    })
  );
  b.m("POST").h(headers).b(body);
  return b.build();
}, "se_CreateHarvestJobCommand");
var se_CreateOriginEndpointCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = (0, import_smithy_client.map)({}, import_smithy_client.isSerializableHeaderValue, {
    "content-type": "application/json",
    [_xact]: input[_CT] ?? (0, import_uuid.v4)()
  });
  b.bp("/channelGroup/{ChannelGroupName}/channel/{ChannelName}/originEndpoint");
  b.p("ChannelGroupName", () => input.ChannelGroupName, "{ChannelGroupName}", false);
  b.p("ChannelName", () => input.ChannelName, "{ChannelName}", false);
  let body;
  body = JSON.stringify(
    (0, import_smithy_client.take)(input, {
      ContainerType: [],
      DashManifests: (_) => se_CreateDashManifests(_, context),
      Description: [],
      ForceEndpointErrorConfiguration: (_) => (0, import_smithy_client._json)(_),
      HlsManifests: (_) => se_CreateHlsManifests(_, context),
      LowLatencyHlsManifests: (_) => se_CreateLowLatencyHlsManifests(_, context),
      OriginEndpointName: [],
      Segment: (_) => (0, import_smithy_client._json)(_),
      StartoverWindowSeconds: [],
      Tags: (_) => (0, import_smithy_client._json)(_)
    })
  );
  b.m("POST").h(headers).b(body);
  return b.build();
}, "se_CreateOriginEndpointCommand");
var se_DeleteChannelCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = {};
  b.bp("/channelGroup/{ChannelGroupName}/channel/{ChannelName}");
  b.p("ChannelGroupName", () => input.ChannelGroupName, "{ChannelGroupName}", false);
  b.p("ChannelName", () => input.ChannelName, "{ChannelName}", false);
  let body;
  b.m("DELETE").h(headers).b(body);
  return b.build();
}, "se_DeleteChannelCommand");
var se_DeleteChannelGroupCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = {};
  b.bp("/channelGroup/{ChannelGroupName}");
  b.p("ChannelGroupName", () => input.ChannelGroupName, "{ChannelGroupName}", false);
  let body;
  b.m("DELETE").h(headers).b(body);
  return b.build();
}, "se_DeleteChannelGroupCommand");
var se_DeleteChannelPolicyCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = {};
  b.bp("/channelGroup/{ChannelGroupName}/channel/{ChannelName}/policy");
  b.p("ChannelGroupName", () => input.ChannelGroupName, "{ChannelGroupName}", false);
  b.p("ChannelName", () => input.ChannelName, "{ChannelName}", false);
  let body;
  b.m("DELETE").h(headers).b(body);
  return b.build();
}, "se_DeleteChannelPolicyCommand");
var se_DeleteOriginEndpointCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = {};
  b.bp("/channelGroup/{ChannelGroupName}/channel/{ChannelName}/originEndpoint/{OriginEndpointName}");
  b.p("ChannelGroupName", () => input.ChannelGroupName, "{ChannelGroupName}", false);
  b.p("ChannelName", () => input.ChannelName, "{ChannelName}", false);
  b.p("OriginEndpointName", () => input.OriginEndpointName, "{OriginEndpointName}", false);
  let body;
  b.m("DELETE").h(headers).b(body);
  return b.build();
}, "se_DeleteOriginEndpointCommand");
var se_DeleteOriginEndpointPolicyCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = {};
  b.bp("/channelGroup/{ChannelGroupName}/channel/{ChannelName}/originEndpoint/{OriginEndpointName}/policy");
  b.p("ChannelGroupName", () => input.ChannelGroupName, "{ChannelGroupName}", false);
  b.p("ChannelName", () => input.ChannelName, "{ChannelName}", false);
  b.p("OriginEndpointName", () => input.OriginEndpointName, "{OriginEndpointName}", false);
  let body;
  b.m("DELETE").h(headers).b(body);
  return b.build();
}, "se_DeleteOriginEndpointPolicyCommand");
var se_GetChannelCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = {};
  b.bp("/channelGroup/{ChannelGroupName}/channel/{ChannelName}");
  b.p("ChannelGroupName", () => input.ChannelGroupName, "{ChannelGroupName}", false);
  b.p("ChannelName", () => input.ChannelName, "{ChannelName}", false);
  let body;
  b.m("GET").h(headers).b(body);
  return b.build();
}, "se_GetChannelCommand");
var se_GetChannelGroupCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = {};
  b.bp("/channelGroup/{ChannelGroupName}");
  b.p("ChannelGroupName", () => input.ChannelGroupName, "{ChannelGroupName}", false);
  let body;
  b.m("GET").h(headers).b(body);
  return b.build();
}, "se_GetChannelGroupCommand");
var se_GetChannelPolicyCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = {};
  b.bp("/channelGroup/{ChannelGroupName}/channel/{ChannelName}/policy");
  b.p("ChannelGroupName", () => input.ChannelGroupName, "{ChannelGroupName}", false);
  b.p("ChannelName", () => input.ChannelName, "{ChannelName}", false);
  let body;
  b.m("GET").h(headers).b(body);
  return b.build();
}, "se_GetChannelPolicyCommand");
var se_GetHarvestJobCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = {};
  b.bp(
    "/channelGroup/{ChannelGroupName}/channel/{ChannelName}/originEndpoint/{OriginEndpointName}/harvestJob/{HarvestJobName}"
  );
  b.p("ChannelGroupName", () => input.ChannelGroupName, "{ChannelGroupName}", false);
  b.p("ChannelName", () => input.ChannelName, "{ChannelName}", false);
  b.p("OriginEndpointName", () => input.OriginEndpointName, "{OriginEndpointName}", false);
  b.p("HarvestJobName", () => input.HarvestJobName, "{HarvestJobName}", false);
  let body;
  b.m("GET").h(headers).b(body);
  return b.build();
}, "se_GetHarvestJobCommand");
var se_GetOriginEndpointCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = {};
  b.bp("/channelGroup/{ChannelGroupName}/channel/{ChannelName}/originEndpoint/{OriginEndpointName}");
  b.p("ChannelGroupName", () => input.ChannelGroupName, "{ChannelGroupName}", false);
  b.p("ChannelName", () => input.ChannelName, "{ChannelName}", false);
  b.p("OriginEndpointName", () => input.OriginEndpointName, "{OriginEndpointName}", false);
  let body;
  b.m("GET").h(headers).b(body);
  return b.build();
}, "se_GetOriginEndpointCommand");
var se_GetOriginEndpointPolicyCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = {};
  b.bp("/channelGroup/{ChannelGroupName}/channel/{ChannelName}/originEndpoint/{OriginEndpointName}/policy");
  b.p("ChannelGroupName", () => input.ChannelGroupName, "{ChannelGroupName}", false);
  b.p("ChannelName", () => input.ChannelName, "{ChannelName}", false);
  b.p("OriginEndpointName", () => input.OriginEndpointName, "{OriginEndpointName}", false);
  let body;
  b.m("GET").h(headers).b(body);
  return b.build();
}, "se_GetOriginEndpointPolicyCommand");
var se_ListChannelGroupsCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = {};
  b.bp("/channelGroup");
  const query = (0, import_smithy_client.map)({
    [_mR]: [() => input.MaxResults !== void 0, () => input[_MR].toString()],
    [_nT]: [, input[_NT]]
  });
  let body;
  b.m("GET").h(headers).q(query).b(body);
  return b.build();
}, "se_ListChannelGroupsCommand");
var se_ListChannelsCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = {};
  b.bp("/channelGroup/{ChannelGroupName}/channel");
  b.p("ChannelGroupName", () => input.ChannelGroupName, "{ChannelGroupName}", false);
  const query = (0, import_smithy_client.map)({
    [_mR]: [() => input.MaxResults !== void 0, () => input[_MR].toString()],
    [_nT]: [, input[_NT]]
  });
  let body;
  b.m("GET").h(headers).q(query).b(body);
  return b.build();
}, "se_ListChannelsCommand");
var se_ListHarvestJobsCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = {};
  b.bp("/channelGroup/{ChannelGroupName}/harvestJob");
  b.p("ChannelGroupName", () => input.ChannelGroupName, "{ChannelGroupName}", false);
  const query = (0, import_smithy_client.map)({
    [_cN]: [, input[_CN]],
    [_oEN]: [, input[_OEN]],
    [_iS]: [, input[_S]],
    [_mR]: [() => input.MaxResults !== void 0, () => input[_MR].toString()],
    [_nT]: [, input[_NT]]
  });
  let body;
  b.m("GET").h(headers).q(query).b(body);
  return b.build();
}, "se_ListHarvestJobsCommand");
var se_ListOriginEndpointsCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = {};
  b.bp("/channelGroup/{ChannelGroupName}/channel/{ChannelName}/originEndpoint");
  b.p("ChannelGroupName", () => input.ChannelGroupName, "{ChannelGroupName}", false);
  b.p("ChannelName", () => input.ChannelName, "{ChannelName}", false);
  const query = (0, import_smithy_client.map)({
    [_mR]: [() => input.MaxResults !== void 0, () => input[_MR].toString()],
    [_nT]: [, input[_NT]]
  });
  let body;
  b.m("GET").h(headers).q(query).b(body);
  return b.build();
}, "se_ListOriginEndpointsCommand");
var se_ListTagsForResourceCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = {};
  b.bp("/tags/{ResourceArn}");
  b.p("ResourceArn", () => input.ResourceArn, "{ResourceArn}", false);
  let body;
  b.m("GET").h(headers).b(body);
  return b.build();
}, "se_ListTagsForResourceCommand");
var se_PutChannelPolicyCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = {
    "content-type": "application/json"
  };
  b.bp("/channelGroup/{ChannelGroupName}/channel/{ChannelName}/policy");
  b.p("ChannelGroupName", () => input.ChannelGroupName, "{ChannelGroupName}", false);
  b.p("ChannelName", () => input.ChannelName, "{ChannelName}", false);
  let body;
  body = JSON.stringify(
    (0, import_smithy_client.take)(input, {
      Policy: []
    })
  );
  b.m("PUT").h(headers).b(body);
  return b.build();
}, "se_PutChannelPolicyCommand");
var se_PutOriginEndpointPolicyCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = {
    "content-type": "application/json"
  };
  b.bp("/channelGroup/{ChannelGroupName}/channel/{ChannelName}/originEndpoint/{OriginEndpointName}/policy");
  b.p("ChannelGroupName", () => input.ChannelGroupName, "{ChannelGroupName}", false);
  b.p("ChannelName", () => input.ChannelName, "{ChannelName}", false);
  b.p("OriginEndpointName", () => input.OriginEndpointName, "{OriginEndpointName}", false);
  let body;
  body = JSON.stringify(
    (0, import_smithy_client.take)(input, {
      Policy: []
    })
  );
  b.m("POST").h(headers).b(body);
  return b.build();
}, "se_PutOriginEndpointPolicyCommand");
var se_TagResourceCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = {
    "content-type": "application/json"
  };
  b.bp("/tags/{ResourceArn}");
  b.p("ResourceArn", () => input.ResourceArn, "{ResourceArn}", false);
  let body;
  body = JSON.stringify(
    (0, import_smithy_client.take)(input, {
      tags: [, (_) => (0, import_smithy_client._json)(_), `Tags`]
    })
  );
  b.m("POST").h(headers).b(body);
  return b.build();
}, "se_TagResourceCommand");
var se_UntagResourceCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = {};
  b.bp("/tags/{ResourceArn}");
  b.p("ResourceArn", () => input.ResourceArn, "{ResourceArn}", false);
  const query = (0, import_smithy_client.map)({
    [_tK]: [(0, import_smithy_client.expectNonNull)(input.TagKeys, `TagKeys`) != null, () => input[_TK] || []]
  });
  let body;
  b.m("DELETE").h(headers).q(query).b(body);
  return b.build();
}, "se_UntagResourceCommand");
var se_UpdateChannelCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = (0, import_smithy_client.map)({}, import_smithy_client.isSerializableHeaderValue, {
    "content-type": "application/json",
    [_xauim]: input[_ET]
  });
  b.bp("/channelGroup/{ChannelGroupName}/channel/{ChannelName}");
  b.p("ChannelGroupName", () => input.ChannelGroupName, "{ChannelGroupName}", false);
  b.p("ChannelName", () => input.ChannelName, "{ChannelName}", false);
  let body;
  body = JSON.stringify(
    (0, import_smithy_client.take)(input, {
      Description: [],
      InputSwitchConfiguration: (_) => (0, import_smithy_client._json)(_),
      OutputHeaderConfiguration: (_) => (0, import_smithy_client._json)(_)
    })
  );
  b.m("PUT").h(headers).b(body);
  return b.build();
}, "se_UpdateChannelCommand");
var se_UpdateChannelGroupCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = (0, import_smithy_client.map)({}, import_smithy_client.isSerializableHeaderValue, {
    "content-type": "application/json",
    [_xauim]: input[_ET]
  });
  b.bp("/channelGroup/{ChannelGroupName}");
  b.p("ChannelGroupName", () => input.ChannelGroupName, "{ChannelGroupName}", false);
  let body;
  body = JSON.stringify(
    (0, import_smithy_client.take)(input, {
      Description: []
    })
  );
  b.m("PUT").h(headers).b(body);
  return b.build();
}, "se_UpdateChannelGroupCommand");
var se_UpdateOriginEndpointCommand = /* @__PURE__ */ __name(async (input, context) => {
  const b = (0, import_core.requestBuilder)(input, context);
  const headers = (0, import_smithy_client.map)({}, import_smithy_client.isSerializableHeaderValue, {
    "content-type": "application/json",
    [_xauim]: input[_ET]
  });
  b.bp("/channelGroup/{ChannelGroupName}/channel/{ChannelName}/originEndpoint/{OriginEndpointName}");
  b.p("ChannelGroupName", () => input.ChannelGroupName, "{ChannelGroupName}", false);
  b.p("ChannelName", () => input.ChannelName, "{ChannelName}", false);
  b.p("OriginEndpointName", () => input.OriginEndpointName, "{OriginEndpointName}", false);
  let body;
  body = JSON.stringify(
    (0, import_smithy_client.take)(input, {
      ContainerType: [],
      DashManifests: (_) => se_CreateDashManifests(_, context),
      Description: [],
      ForceEndpointErrorConfiguration: (_) => (0, import_smithy_client._json)(_),
      HlsManifests: (_) => se_CreateHlsManifests(_, context),
      LowLatencyHlsManifests: (_) => se_CreateLowLatencyHlsManifests(_, context),
      Segment: (_) => (0, import_smithy_client._json)(_),
      StartoverWindowSeconds: []
    })
  );
  b.m("PUT").h(headers).b(body);
  return b.build();
}, "se_UpdateOriginEndpointCommand");
var de_CancelHarvestJobCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  await (0, import_smithy_client.collectBody)(output.body, context);
  return contents;
}, "de_CancelHarvestJobCommand");
var de_CreateChannelCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  const data = (0, import_smithy_client.expectNonNull)((0, import_smithy_client.expectObject)(await (0, import_core2.parseJsonBody)(output.body, context)), "body");
  const doc = (0, import_smithy_client.take)(data, {
    Arn: import_smithy_client.expectString,
    ChannelGroupName: import_smithy_client.expectString,
    ChannelName: import_smithy_client.expectString,
    CreatedAt: (_) => (0, import_smithy_client.expectNonNull)((0, import_smithy_client.parseEpochTimestamp)((0, import_smithy_client.expectNumber)(_))),
    Description: import_smithy_client.expectString,
    ETag: import_smithy_client.expectString,
    IngestEndpoints: import_smithy_client._json,
    InputSwitchConfiguration: import_smithy_client._json,
    InputType: import_smithy_client.expectString,
    ModifiedAt: (_) => (0, import_smithy_client.expectNonNull)((0, import_smithy_client.parseEpochTimestamp)((0, import_smithy_client.expectNumber)(_))),
    OutputHeaderConfiguration: import_smithy_client._json,
    Tags: import_smithy_client._json
  });
  Object.assign(contents, doc);
  return contents;
}, "de_CreateChannelCommand");
var de_CreateChannelGroupCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  const data = (0, import_smithy_client.expectNonNull)((0, import_smithy_client.expectObject)(await (0, import_core2.parseJsonBody)(output.body, context)), "body");
  const doc = (0, import_smithy_client.take)(data, {
    Arn: import_smithy_client.expectString,
    ChannelGroupName: import_smithy_client.expectString,
    CreatedAt: (_) => (0, import_smithy_client.expectNonNull)((0, import_smithy_client.parseEpochTimestamp)((0, import_smithy_client.expectNumber)(_))),
    Description: import_smithy_client.expectString,
    ETag: import_smithy_client.expectString,
    EgressDomain: import_smithy_client.expectString,
    ModifiedAt: (_) => (0, import_smithy_client.expectNonNull)((0, import_smithy_client.parseEpochTimestamp)((0, import_smithy_client.expectNumber)(_))),
    Tags: import_smithy_client._json
  });
  Object.assign(contents, doc);
  return contents;
}, "de_CreateChannelGroupCommand");
var de_CreateHarvestJobCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  const data = (0, import_smithy_client.expectNonNull)((0, import_smithy_client.expectObject)(await (0, import_core2.parseJsonBody)(output.body, context)), "body");
  const doc = (0, import_smithy_client.take)(data, {
    Arn: import_smithy_client.expectString,
    ChannelGroupName: import_smithy_client.expectString,
    ChannelName: import_smithy_client.expectString,
    CreatedAt: (_) => (0, import_smithy_client.expectNonNull)((0, import_smithy_client.parseEpochTimestamp)((0, import_smithy_client.expectNumber)(_))),
    Description: import_smithy_client.expectString,
    Destination: import_smithy_client._json,
    ETag: import_smithy_client.expectString,
    ErrorMessage: import_smithy_client.expectString,
    HarvestJobName: import_smithy_client.expectString,
    HarvestedManifests: import_smithy_client._json,
    ModifiedAt: (_) => (0, import_smithy_client.expectNonNull)((0, import_smithy_client.parseEpochTimestamp)((0, import_smithy_client.expectNumber)(_))),
    OriginEndpointName: import_smithy_client.expectString,
    ScheduleConfiguration: (_) => de_HarvesterScheduleConfiguration(_, context),
    Status: import_smithy_client.expectString,
    Tags: import_smithy_client._json
  });
  Object.assign(contents, doc);
  return contents;
}, "de_CreateHarvestJobCommand");
var de_CreateOriginEndpointCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  const data = (0, import_smithy_client.expectNonNull)((0, import_smithy_client.expectObject)(await (0, import_core2.parseJsonBody)(output.body, context)), "body");
  const doc = (0, import_smithy_client.take)(data, {
    Arn: import_smithy_client.expectString,
    ChannelGroupName: import_smithy_client.expectString,
    ChannelName: import_smithy_client.expectString,
    ContainerType: import_smithy_client.expectString,
    CreatedAt: (_) => (0, import_smithy_client.expectNonNull)((0, import_smithy_client.parseEpochTimestamp)((0, import_smithy_client.expectNumber)(_))),
    DashManifests: (_) => de_GetDashManifests(_, context),
    Description: import_smithy_client.expectString,
    ETag: import_smithy_client.expectString,
    ForceEndpointErrorConfiguration: import_smithy_client._json,
    HlsManifests: (_) => de_GetHlsManifests(_, context),
    LowLatencyHlsManifests: (_) => de_GetLowLatencyHlsManifests(_, context),
    ModifiedAt: (_) => (0, import_smithy_client.expectNonNull)((0, import_smithy_client.parseEpochTimestamp)((0, import_smithy_client.expectNumber)(_))),
    OriginEndpointName: import_smithy_client.expectString,
    Segment: import_smithy_client._json,
    StartoverWindowSeconds: import_smithy_client.expectInt32,
    Tags: import_smithy_client._json
  });
  Object.assign(contents, doc);
  return contents;
}, "de_CreateOriginEndpointCommand");
var de_DeleteChannelCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  await (0, import_smithy_client.collectBody)(output.body, context);
  return contents;
}, "de_DeleteChannelCommand");
var de_DeleteChannelGroupCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  await (0, import_smithy_client.collectBody)(output.body, context);
  return contents;
}, "de_DeleteChannelGroupCommand");
var de_DeleteChannelPolicyCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  await (0, import_smithy_client.collectBody)(output.body, context);
  return contents;
}, "de_DeleteChannelPolicyCommand");
var de_DeleteOriginEndpointCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  await (0, import_smithy_client.collectBody)(output.body, context);
  return contents;
}, "de_DeleteOriginEndpointCommand");
var de_DeleteOriginEndpointPolicyCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  await (0, import_smithy_client.collectBody)(output.body, context);
  return contents;
}, "de_DeleteOriginEndpointPolicyCommand");
var de_GetChannelCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  const data = (0, import_smithy_client.expectNonNull)((0, import_smithy_client.expectObject)(await (0, import_core2.parseJsonBody)(output.body, context)), "body");
  const doc = (0, import_smithy_client.take)(data, {
    Arn: import_smithy_client.expectString,
    ChannelGroupName: import_smithy_client.expectString,
    ChannelName: import_smithy_client.expectString,
    CreatedAt: (_) => (0, import_smithy_client.expectNonNull)((0, import_smithy_client.parseEpochTimestamp)((0, import_smithy_client.expectNumber)(_))),
    Description: import_smithy_client.expectString,
    ETag: import_smithy_client.expectString,
    IngestEndpoints: import_smithy_client._json,
    InputSwitchConfiguration: import_smithy_client._json,
    InputType: import_smithy_client.expectString,
    ModifiedAt: (_) => (0, import_smithy_client.expectNonNull)((0, import_smithy_client.parseEpochTimestamp)((0, import_smithy_client.expectNumber)(_))),
    OutputHeaderConfiguration: import_smithy_client._json,
    Tags: import_smithy_client._json
  });
  Object.assign(contents, doc);
  return contents;
}, "de_GetChannelCommand");
var de_GetChannelGroupCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  const data = (0, import_smithy_client.expectNonNull)((0, import_smithy_client.expectObject)(await (0, import_core2.parseJsonBody)(output.body, context)), "body");
  const doc = (0, import_smithy_client.take)(data, {
    Arn: import_smithy_client.expectString,
    ChannelGroupName: import_smithy_client.expectString,
    CreatedAt: (_) => (0, import_smithy_client.expectNonNull)((0, import_smithy_client.parseEpochTimestamp)((0, import_smithy_client.expectNumber)(_))),
    Description: import_smithy_client.expectString,
    ETag: import_smithy_client.expectString,
    EgressDomain: import_smithy_client.expectString,
    ModifiedAt: (_) => (0, import_smithy_client.expectNonNull)((0, import_smithy_client.parseEpochTimestamp)((0, import_smithy_client.expectNumber)(_))),
    Tags: [, import_smithy_client._json, `tags`]
  });
  Object.assign(contents, doc);
  return contents;
}, "de_GetChannelGroupCommand");
var de_GetChannelPolicyCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  const data = (0, import_smithy_client.expectNonNull)((0, import_smithy_client.expectObject)(await (0, import_core2.parseJsonBody)(output.body, context)), "body");
  const doc = (0, import_smithy_client.take)(data, {
    ChannelGroupName: import_smithy_client.expectString,
    ChannelName: import_smithy_client.expectString,
    Policy: import_smithy_client.expectString
  });
  Object.assign(contents, doc);
  return contents;
}, "de_GetChannelPolicyCommand");
var de_GetHarvestJobCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  const data = (0, import_smithy_client.expectNonNull)((0, import_smithy_client.expectObject)(await (0, import_core2.parseJsonBody)(output.body, context)), "body");
  const doc = (0, import_smithy_client.take)(data, {
    Arn: import_smithy_client.expectString,
    ChannelGroupName: import_smithy_client.expectString,
    ChannelName: import_smithy_client.expectString,
    CreatedAt: (_) => (0, import_smithy_client.expectNonNull)((0, import_smithy_client.parseEpochTimestamp)((0, import_smithy_client.expectNumber)(_))),
    Description: import_smithy_client.expectString,
    Destination: import_smithy_client._json,
    ETag: import_smithy_client.expectString,
    ErrorMessage: import_smithy_client.expectString,
    HarvestJobName: import_smithy_client.expectString,
    HarvestedManifests: import_smithy_client._json,
    ModifiedAt: (_) => (0, import_smithy_client.expectNonNull)((0, import_smithy_client.parseEpochTimestamp)((0, import_smithy_client.expectNumber)(_))),
    OriginEndpointName: import_smithy_client.expectString,
    ScheduleConfiguration: (_) => de_HarvesterScheduleConfiguration(_, context),
    Status: import_smithy_client.expectString,
    Tags: import_smithy_client._json
  });
  Object.assign(contents, doc);
  return contents;
}, "de_GetHarvestJobCommand");
var de_GetOriginEndpointCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  const data = (0, import_smithy_client.expectNonNull)((0, import_smithy_client.expectObject)(await (0, import_core2.parseJsonBody)(output.body, context)), "body");
  const doc = (0, import_smithy_client.take)(data, {
    Arn: import_smithy_client.expectString,
    ChannelGroupName: import_smithy_client.expectString,
    ChannelName: import_smithy_client.expectString,
    ContainerType: import_smithy_client.expectString,
    CreatedAt: (_) => (0, import_smithy_client.expectNonNull)((0, import_smithy_client.parseEpochTimestamp)((0, import_smithy_client.expectNumber)(_))),
    DashManifests: (_) => de_GetDashManifests(_, context),
    Description: import_smithy_client.expectString,
    ETag: import_smithy_client.expectString,
    ForceEndpointErrorConfiguration: import_smithy_client._json,
    HlsManifests: (_) => de_GetHlsManifests(_, context),
    LowLatencyHlsManifests: (_) => de_GetLowLatencyHlsManifests(_, context),
    ModifiedAt: (_) => (0, import_smithy_client.expectNonNull)((0, import_smithy_client.parseEpochTimestamp)((0, import_smithy_client.expectNumber)(_))),
    OriginEndpointName: import_smithy_client.expectString,
    Segment: import_smithy_client._json,
    StartoverWindowSeconds: import_smithy_client.expectInt32,
    Tags: import_smithy_client._json
  });
  Object.assign(contents, doc);
  return contents;
}, "de_GetOriginEndpointCommand");
var de_GetOriginEndpointPolicyCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  const data = (0, import_smithy_client.expectNonNull)((0, import_smithy_client.expectObject)(await (0, import_core2.parseJsonBody)(output.body, context)), "body");
  const doc = (0, import_smithy_client.take)(data, {
    ChannelGroupName: import_smithy_client.expectString,
    ChannelName: import_smithy_client.expectString,
    OriginEndpointName: import_smithy_client.expectString,
    Policy: import_smithy_client.expectString
  });
  Object.assign(contents, doc);
  return contents;
}, "de_GetOriginEndpointPolicyCommand");
var de_ListChannelGroupsCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  const data = (0, import_smithy_client.expectNonNull)((0, import_smithy_client.expectObject)(await (0, import_core2.parseJsonBody)(output.body, context)), "body");
  const doc = (0, import_smithy_client.take)(data, {
    Items: (_) => de_ChannelGroupsList(_, context),
    NextToken: import_smithy_client.expectString
  });
  Object.assign(contents, doc);
  return contents;
}, "de_ListChannelGroupsCommand");
var de_ListChannelsCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  const data = (0, import_smithy_client.expectNonNull)((0, import_smithy_client.expectObject)(await (0, import_core2.parseJsonBody)(output.body, context)), "body");
  const doc = (0, import_smithy_client.take)(data, {
    Items: (_) => de_ChannelList(_, context),
    NextToken: import_smithy_client.expectString
  });
  Object.assign(contents, doc);
  return contents;
}, "de_ListChannelsCommand");
var de_ListHarvestJobsCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  const data = (0, import_smithy_client.expectNonNull)((0, import_smithy_client.expectObject)(await (0, import_core2.parseJsonBody)(output.body, context)), "body");
  const doc = (0, import_smithy_client.take)(data, {
    Items: (_) => de_HarvestJobsList(_, context),
    NextToken: import_smithy_client.expectString
  });
  Object.assign(contents, doc);
  return contents;
}, "de_ListHarvestJobsCommand");
var de_ListOriginEndpointsCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  const data = (0, import_smithy_client.expectNonNull)((0, import_smithy_client.expectObject)(await (0, import_core2.parseJsonBody)(output.body, context)), "body");
  const doc = (0, import_smithy_client.take)(data, {
    Items: (_) => de_OriginEndpointsList(_, context),
    NextToken: import_smithy_client.expectString
  });
  Object.assign(contents, doc);
  return contents;
}, "de_ListOriginEndpointsCommand");
var de_ListTagsForResourceCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  const data = (0, import_smithy_client.expectNonNull)((0, import_smithy_client.expectObject)(await (0, import_core2.parseJsonBody)(output.body, context)), "body");
  const doc = (0, import_smithy_client.take)(data, {
    Tags: [, import_smithy_client._json, `tags`]
  });
  Object.assign(contents, doc);
  return contents;
}, "de_ListTagsForResourceCommand");
var de_PutChannelPolicyCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  await (0, import_smithy_client.collectBody)(output.body, context);
  return contents;
}, "de_PutChannelPolicyCommand");
var de_PutOriginEndpointPolicyCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  await (0, import_smithy_client.collectBody)(output.body, context);
  return contents;
}, "de_PutOriginEndpointPolicyCommand");
var de_TagResourceCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 204 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  await (0, import_smithy_client.collectBody)(output.body, context);
  return contents;
}, "de_TagResourceCommand");
var de_UntagResourceCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 204 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  await (0, import_smithy_client.collectBody)(output.body, context);
  return contents;
}, "de_UntagResourceCommand");
var de_UpdateChannelCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  const data = (0, import_smithy_client.expectNonNull)((0, import_smithy_client.expectObject)(await (0, import_core2.parseJsonBody)(output.body, context)), "body");
  const doc = (0, import_smithy_client.take)(data, {
    Arn: import_smithy_client.expectString,
    ChannelGroupName: import_smithy_client.expectString,
    ChannelName: import_smithy_client.expectString,
    CreatedAt: (_) => (0, import_smithy_client.expectNonNull)((0, import_smithy_client.parseEpochTimestamp)((0, import_smithy_client.expectNumber)(_))),
    Description: import_smithy_client.expectString,
    ETag: import_smithy_client.expectString,
    IngestEndpoints: import_smithy_client._json,
    InputSwitchConfiguration: import_smithy_client._json,
    InputType: import_smithy_client.expectString,
    ModifiedAt: (_) => (0, import_smithy_client.expectNonNull)((0, import_smithy_client.parseEpochTimestamp)((0, import_smithy_client.expectNumber)(_))),
    OutputHeaderConfiguration: import_smithy_client._json,
    Tags: [, import_smithy_client._json, `tags`]
  });
  Object.assign(contents, doc);
  return contents;
}, "de_UpdateChannelCommand");
var de_UpdateChannelGroupCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  const data = (0, import_smithy_client.expectNonNull)((0, import_smithy_client.expectObject)(await (0, import_core2.parseJsonBody)(output.body, context)), "body");
  const doc = (0, import_smithy_client.take)(data, {
    Arn: import_smithy_client.expectString,
    ChannelGroupName: import_smithy_client.expectString,
    CreatedAt: (_) => (0, import_smithy_client.expectNonNull)((0, import_smithy_client.parseEpochTimestamp)((0, import_smithy_client.expectNumber)(_))),
    Description: import_smithy_client.expectString,
    ETag: import_smithy_client.expectString,
    EgressDomain: import_smithy_client.expectString,
    ModifiedAt: (_) => (0, import_smithy_client.expectNonNull)((0, import_smithy_client.parseEpochTimestamp)((0, import_smithy_client.expectNumber)(_))),
    Tags: [, import_smithy_client._json, `tags`]
  });
  Object.assign(contents, doc);
  return contents;
}, "de_UpdateChannelGroupCommand");
var de_UpdateOriginEndpointCommand = /* @__PURE__ */ __name(async (output, context) => {
  if (output.statusCode !== 200 && output.statusCode >= 300) {
    return de_CommandError(output, context);
  }
  const contents = (0, import_smithy_client.map)({
    $metadata: deserializeMetadata(output)
  });
  const data = (0, import_smithy_client.expectNonNull)((0, import_smithy_client.expectObject)(await (0, import_core2.parseJsonBody)(output.body, context)), "body");
  const doc = (0, import_smithy_client.take)(data, {
    Arn: import_smithy_client.expectString,
    ChannelGroupName: import_smithy_client.expectString,
    ChannelName: import_smithy_client.expectString,
    ContainerType: import_smithy_client.expectString,
    CreatedAt: (_) => (0, import_smithy_client.expectNonNull)((0, import_smithy_client.parseEpochTimestamp)((0, import_smithy_client.expectNumber)(_))),
    DashManifests: (_) => de_GetDashManifests(_, context),
    Description: import_smithy_client.expectString,
    ETag: import_smithy_client.expectString,
    ForceEndpointErrorConfiguration: import_smithy_client._json,
    HlsManifests: (_) => de_GetHlsManifests(_, context),
    LowLatencyHlsManifests: (_) => de_GetLowLatencyHlsManifests(_, context),
    ModifiedAt: (_) => (0, import_smithy_client.expectNonNull)((0, import_smithy_client.parseEpochTimestamp)((0, import_smithy_client.expectNumber)(_))),
    OriginEndpointName: import_smithy_client.expectString,
    Segment: import_smithy_client._json,
    StartoverWindowSeconds: import_smithy_client.expectInt32,
    Tags: [, import_smithy_client._json, `tags`]
  });
  Object.assign(contents, doc);
  return contents;
}, "de_UpdateOriginEndpointCommand");
var de_CommandError = /* @__PURE__ */ __name(async (output, context) => {
  const parsedOutput = {
    ...output,
    body: await (0, import_core2.parseJsonErrorBody)(output.body, context)
  };
  const errorCode = (0, import_core2.loadRestJsonErrorCode)(output, parsedOutput.body);
  switch (errorCode) {
    case "AccessDeniedException":
    case "com.amazonaws.mediapackagev2#AccessDeniedException":
      throw await de_AccessDeniedExceptionRes(parsedOutput, context);
    case "ConflictException":
    case "com.amazonaws.mediapackagev2#ConflictException":
      throw await de_ConflictExceptionRes(parsedOutput, context);
    case "InternalServerException":
    case "com.amazonaws.mediapackagev2#InternalServerException":
      throw await de_InternalServerExceptionRes(parsedOutput, context);
    case "ResourceNotFoundException":
    case "com.amazonaws.mediapackagev2#ResourceNotFoundException":
      throw await de_ResourceNotFoundExceptionRes(parsedOutput, context);
    case "ThrottlingException":
    case "com.amazonaws.mediapackagev2#ThrottlingException":
      throw await de_ThrottlingExceptionRes(parsedOutput, context);
    case "ValidationException":
    case "com.amazonaws.mediapackagev2#ValidationException":
      throw await de_ValidationExceptionRes(parsedOutput, context);
    case "ServiceQuotaExceededException":
    case "com.amazonaws.mediapackagev2#ServiceQuotaExceededException":
      throw await de_ServiceQuotaExceededExceptionRes(parsedOutput, context);
    default:
      const parsedBody = parsedOutput.body;
      return throwDefaultError({
        output,
        parsedBody,
        errorCode
      });
  }
}, "de_CommandError");
var throwDefaultError = (0, import_smithy_client.withBaseException)(MediaPackageV2ServiceException);
var de_AccessDeniedExceptionRes = /* @__PURE__ */ __name(async (parsedOutput, context) => {
  const contents = (0, import_smithy_client.map)({});
  const data = parsedOutput.body;
  const doc = (0, import_smithy_client.take)(data, {
    Message: import_smithy_client.expectString
  });
  Object.assign(contents, doc);
  const exception = new AccessDeniedException({
    $metadata: deserializeMetadata(parsedOutput),
    ...contents
  });
  return (0, import_smithy_client.decorateServiceException)(exception, parsedOutput.body);
}, "de_AccessDeniedExceptionRes");
var de_ConflictExceptionRes = /* @__PURE__ */ __name(async (parsedOutput, context) => {
  const contents = (0, import_smithy_client.map)({});
  const data = parsedOutput.body;
  const doc = (0, import_smithy_client.take)(data, {
    ConflictExceptionType: import_smithy_client.expectString,
    Message: import_smithy_client.expectString
  });
  Object.assign(contents, doc);
  const exception = new ConflictException({
    $metadata: deserializeMetadata(parsedOutput),
    ...contents
  });
  return (0, import_smithy_client.decorateServiceException)(exception, parsedOutput.body);
}, "de_ConflictExceptionRes");
var de_InternalServerExceptionRes = /* @__PURE__ */ __name(async (parsedOutput, context) => {
  const contents = (0, import_smithy_client.map)({});
  const data = parsedOutput.body;
  const doc = (0, import_smithy_client.take)(data, {
    Message: import_smithy_client.expectString
  });
  Object.assign(contents, doc);
  const exception = new InternalServerException({
    $metadata: deserializeMetadata(parsedOutput),
    ...contents
  });
  return (0, import_smithy_client.decorateServiceException)(exception, parsedOutput.body);
}, "de_InternalServerExceptionRes");
var de_ResourceNotFoundExceptionRes = /* @__PURE__ */ __name(async (parsedOutput, context) => {
  const contents = (0, import_smithy_client.map)({});
  const data = parsedOutput.body;
  const doc = (0, import_smithy_client.take)(data, {
    Message: import_smithy_client.expectString,
    ResourceTypeNotFound: import_smithy_client.expectString
  });
  Object.assign(contents, doc);
  const exception = new ResourceNotFoundException({
    $metadata: deserializeMetadata(parsedOutput),
    ...contents
  });
  return (0, import_smithy_client.decorateServiceException)(exception, parsedOutput.body);
}, "de_ResourceNotFoundExceptionRes");
var de_ServiceQuotaExceededExceptionRes = /* @__PURE__ */ __name(async (parsedOutput, context) => {
  const contents = (0, import_smithy_client.map)({});
  const data = parsedOutput.body;
  const doc = (0, import_smithy_client.take)(data, {
    Message: import_smithy_client.expectString
  });
  Object.assign(contents, doc);
  const exception = new ServiceQuotaExceededException({
    $metadata: deserializeMetadata(parsedOutput),
    ...contents
  });
  return (0, import_smithy_client.decorateServiceException)(exception, parsedOutput.body);
}, "de_ServiceQuotaExceededExceptionRes");
var de_ThrottlingExceptionRes = /* @__PURE__ */ __name(async (parsedOutput, context) => {
  const contents = (0, import_smithy_client.map)({});
  const data = parsedOutput.body;
  const doc = (0, import_smithy_client.take)(data, {
    Message: import_smithy_client.expectString
  });
  Object.assign(contents, doc);
  const exception = new ThrottlingException({
    $metadata: deserializeMetadata(parsedOutput),
    ...contents
  });
  return (0, import_smithy_client.decorateServiceException)(exception, parsedOutput.body);
}, "de_ThrottlingExceptionRes");
var de_ValidationExceptionRes = /* @__PURE__ */ __name(async (parsedOutput, context) => {
  const contents = (0, import_smithy_client.map)({});
  const data = parsedOutput.body;
  const doc = (0, import_smithy_client.take)(data, {
    Message: import_smithy_client.expectString,
    ValidationExceptionType: import_smithy_client.expectString
  });
  Object.assign(contents, doc);
  const exception = new ValidationException({
    $metadata: deserializeMetadata(parsedOutput),
    ...contents
  });
  return (0, import_smithy_client.decorateServiceException)(exception, parsedOutput.body);
}, "de_ValidationExceptionRes");
var se_CreateDashManifestConfiguration = /* @__PURE__ */ __name((input, context) => {
  return (0, import_smithy_client.take)(input, {
    DrmSignaling: [],
    FilterConfiguration: (_) => se_FilterConfiguration(_, context),
    ManifestName: [],
    ManifestWindowSeconds: [],
    MinBufferTimeSeconds: [],
    MinUpdatePeriodSeconds: [],
    PeriodTriggers: import_smithy_client._json,
    ScteDash: import_smithy_client._json,
    SegmentTemplateFormat: [],
    SuggestedPresentationDelaySeconds: [],
    UtcTiming: import_smithy_client._json
  });
}, "se_CreateDashManifestConfiguration");
var se_CreateDashManifests = /* @__PURE__ */ __name((input, context) => {
  return input.filter((e) => e != null).map((entry) => {
    return se_CreateDashManifestConfiguration(entry, context);
  });
}, "se_CreateDashManifests");
var se_CreateHlsManifestConfiguration = /* @__PURE__ */ __name((input, context) => {
  return (0, import_smithy_client.take)(input, {
    ChildManifestName: [],
    FilterConfiguration: (_) => se_FilterConfiguration(_, context),
    ManifestName: [],
    ManifestWindowSeconds: [],
    ProgramDateTimeIntervalSeconds: [],
    ScteHls: import_smithy_client._json,
    StartTag: (_) => se_StartTag(_, context)
  });
}, "se_CreateHlsManifestConfiguration");
var se_CreateHlsManifests = /* @__PURE__ */ __name((input, context) => {
  return input.filter((e) => e != null).map((entry) => {
    return se_CreateHlsManifestConfiguration(entry, context);
  });
}, "se_CreateHlsManifests");
var se_CreateLowLatencyHlsManifestConfiguration = /* @__PURE__ */ __name((input, context) => {
  return (0, import_smithy_client.take)(input, {
    ChildManifestName: [],
    FilterConfiguration: (_) => se_FilterConfiguration(_, context),
    ManifestName: [],
    ManifestWindowSeconds: [],
    ProgramDateTimeIntervalSeconds: [],
    ScteHls: import_smithy_client._json,
    StartTag: (_) => se_StartTag(_, context)
  });
}, "se_CreateLowLatencyHlsManifestConfiguration");
var se_CreateLowLatencyHlsManifests = /* @__PURE__ */ __name((input, context) => {
  return input.filter((e) => e != null).map((entry) => {
    return se_CreateLowLatencyHlsManifestConfiguration(entry, context);
  });
}, "se_CreateLowLatencyHlsManifests");
var se_FilterConfiguration = /* @__PURE__ */ __name((input, context) => {
  return (0, import_smithy_client.take)(input, {
    ClipStartTime: (_) => _.getTime() / 1e3,
    End: (_) => _.getTime() / 1e3,
    ManifestFilter: [],
    Start: (_) => _.getTime() / 1e3,
    TimeDelaySeconds: []
  });
}, "se_FilterConfiguration");
var se_HarvesterScheduleConfiguration = /* @__PURE__ */ __name((input, context) => {
  return (0, import_smithy_client.take)(input, {
    EndTime: (_) => _.getTime() / 1e3,
    StartTime: (_) => _.getTime() / 1e3
  });
}, "se_HarvesterScheduleConfiguration");
var se_StartTag = /* @__PURE__ */ __name((input, context) => {
  return (0, import_smithy_client.take)(input, {
    Precise: [],
    TimeOffset: import_smithy_client.serializeFloat
  });
}, "se_StartTag");
var de_ChannelGroupListConfiguration = /* @__PURE__ */ __name((output, context) => {
  return (0, import_smithy_client.take)(output, {
    Arn: import_smithy_client.expectString,
    ChannelGroupName: import_smithy_client.expectString,
    CreatedAt: (_) => (0, import_smithy_client.expectNonNull)((0, import_smithy_client.parseEpochTimestamp)((0, import_smithy_client.expectNumber)(_))),
    Description: import_smithy_client.expectString,
    ModifiedAt: (_) => (0, import_smithy_client.expectNonNull)((0, import_smithy_client.parseEpochTimestamp)((0, import_smithy_client.expectNumber)(_)))
  });
}, "de_ChannelGroupListConfiguration");
var de_ChannelGroupsList = /* @__PURE__ */ __name((output, context) => {
  const retVal = (output || []).filter((e) => e != null).map((entry) => {
    return de_ChannelGroupListConfiguration(entry, context);
  });
  return retVal;
}, "de_ChannelGroupsList");
var de_ChannelList = /* @__PURE__ */ __name((output, context) => {
  const retVal = (output || []).filter((e) => e != null).map((entry) => {
    return de_ChannelListConfiguration(entry, context);
  });
  return retVal;
}, "de_ChannelList");
var de_ChannelListConfiguration = /* @__PURE__ */ __name((output, context) => {
  return (0, import_smithy_client.take)(output, {
    Arn: import_smithy_client.expectString,
    ChannelGroupName: import_smithy_client.expectString,
    ChannelName: import_smithy_client.expectString,
    CreatedAt: (_) => (0, import_smithy_client.expectNonNull)((0, import_smithy_client.parseEpochTimestamp)((0, import_smithy_client.expectNumber)(_))),
    Description: import_smithy_client.expectString,
    InputType: import_smithy_client.expectString,
    ModifiedAt: (_) => (0, import_smithy_client.expectNonNull)((0, import_smithy_client.parseEpochTimestamp)((0, import_smithy_client.expectNumber)(_)))
  });
}, "de_ChannelListConfiguration");
var de_FilterConfiguration = /* @__PURE__ */ __name((output, context) => {
  return (0, import_smithy_client.take)(output, {
    ClipStartTime: (_) => (0, import_smithy_client.expectNonNull)((0, import_smithy_client.parseEpochTimestamp)((0, import_smithy_client.expectNumber)(_))),
    End: (_) => (0, import_smithy_client.expectNonNull)((0, import_smithy_client.parseEpochTimestamp)((0, import_smithy_client.expectNumber)(_))),
    ManifestFilter: import_smithy_client.expectString,
    Start: (_) => (0, import_smithy_client.expectNonNull)((0, import_smithy_client.parseEpochTimestamp)((0, import_smithy_client.expectNumber)(_))),
    TimeDelaySeconds: import_smithy_client.expectInt32
  });
}, "de_FilterConfiguration");
var de_GetDashManifestConfiguration = /* @__PURE__ */ __name((output, context) => {
  return (0, import_smithy_client.take)(output, {
    DrmSignaling: import_smithy_client.expectString,
    FilterConfiguration: (_) => de_FilterConfiguration(_, context),
    ManifestName: import_smithy_client.expectString,
    ManifestWindowSeconds: import_smithy_client.expectInt32,
    MinBufferTimeSeconds: import_smithy_client.expectInt32,
    MinUpdatePeriodSeconds: import_smithy_client.expectInt32,
    PeriodTriggers: import_smithy_client._json,
    ScteDash: import_smithy_client._json,
    SegmentTemplateFormat: import_smithy_client.expectString,
    SuggestedPresentationDelaySeconds: import_smithy_client.expectInt32,
    Url: import_smithy_client.expectString,
    UtcTiming: import_smithy_client._json
  });
}, "de_GetDashManifestConfiguration");
var de_GetDashManifests = /* @__PURE__ */ __name((output, context) => {
  const retVal = (output || []).filter((e) => e != null).map((entry) => {
    return de_GetDashManifestConfiguration(entry, context);
  });
  return retVal;
}, "de_GetDashManifests");
var de_GetHlsManifestConfiguration = /* @__PURE__ */ __name((output, context) => {
  return (0, import_smithy_client.take)(output, {
    ChildManifestName: import_smithy_client.expectString,
    FilterConfiguration: (_) => de_FilterConfiguration(_, context),
    ManifestName: import_smithy_client.expectString,
    ManifestWindowSeconds: import_smithy_client.expectInt32,
    ProgramDateTimeIntervalSeconds: import_smithy_client.expectInt32,
    ScteHls: import_smithy_client._json,
    StartTag: (_) => de_StartTag(_, context),
    Url: import_smithy_client.expectString
  });
}, "de_GetHlsManifestConfiguration");
var de_GetHlsManifests = /* @__PURE__ */ __name((output, context) => {
  const retVal = (output || []).filter((e) => e != null).map((entry) => {
    return de_GetHlsManifestConfiguration(entry, context);
  });
  return retVal;
}, "de_GetHlsManifests");
var de_GetLowLatencyHlsManifestConfiguration = /* @__PURE__ */ __name((output, context) => {
  return (0, import_smithy_client.take)(output, {
    ChildManifestName: import_smithy_client.expectString,
    FilterConfiguration: (_) => de_FilterConfiguration(_, context),
    ManifestName: import_smithy_client.expectString,
    ManifestWindowSeconds: import_smithy_client.expectInt32,
    ProgramDateTimeIntervalSeconds: import_smithy_client.expectInt32,
    ScteHls: import_smithy_client._json,
    StartTag: (_) => de_StartTag(_, context),
    Url: import_smithy_client.expectString
  });
}, "de_GetLowLatencyHlsManifestConfiguration");
var de_GetLowLatencyHlsManifests = /* @__PURE__ */ __name((output, context) => {
  const retVal = (output || []).filter((e) => e != null).map((entry) => {
    return de_GetLowLatencyHlsManifestConfiguration(entry, context);
  });
  return retVal;
}, "de_GetLowLatencyHlsManifests");
var de_HarvesterScheduleConfiguration = /* @__PURE__ */ __name((output, context) => {
  return (0, import_smithy_client.take)(output, {
    EndTime: (_) => (0, import_smithy_client.expectNonNull)((0, import_smithy_client.parseEpochTimestamp)((0, import_smithy_client.expectNumber)(_))),
    StartTime: (_) => (0, import_smithy_client.expectNonNull)((0, import_smithy_client.parseEpochTimestamp)((0, import_smithy_client.expectNumber)(_)))
  });
}, "de_HarvesterScheduleConfiguration");
var de_HarvestJob = /* @__PURE__ */ __name((output, context) => {
  return (0, import_smithy_client.take)(output, {
    Arn: import_smithy_client.expectString,
    ChannelGroupName: import_smithy_client.expectString,
    ChannelName: import_smithy_client.expectString,
    CreatedAt: (_) => (0, import_smithy_client.expectNonNull)((0, import_smithy_client.parseEpochTimestamp)((0, import_smithy_client.expectNumber)(_))),
    Description: import_smithy_client.expectString,
    Destination: import_smithy_client._json,
    ETag: import_smithy_client.expectString,
    ErrorMessage: import_smithy_client.expectString,
    HarvestJobName: import_smithy_client.expectString,
    HarvestedManifests: import_smithy_client._json,
    ModifiedAt: (_) => (0, import_smithy_client.expectNonNull)((0, import_smithy_client.parseEpochTimestamp)((0, import_smithy_client.expectNumber)(_))),
    OriginEndpointName: import_smithy_client.expectString,
    ScheduleConfiguration: (_) => de_HarvesterScheduleConfiguration(_, context),
    Status: import_smithy_client.expectString
  });
}, "de_HarvestJob");
var de_HarvestJobsList = /* @__PURE__ */ __name((output, context) => {
  const retVal = (output || []).filter((e) => e != null).map((entry) => {
    return de_HarvestJob(entry, context);
  });
  return retVal;
}, "de_HarvestJobsList");
var de_OriginEndpointListConfiguration = /* @__PURE__ */ __name((output, context) => {
  return (0, import_smithy_client.take)(output, {
    Arn: import_smithy_client.expectString,
    ChannelGroupName: import_smithy_client.expectString,
    ChannelName: import_smithy_client.expectString,
    ContainerType: import_smithy_client.expectString,
    CreatedAt: (_) => (0, import_smithy_client.expectNonNull)((0, import_smithy_client.parseEpochTimestamp)((0, import_smithy_client.expectNumber)(_))),
    DashManifests: import_smithy_client._json,
    Description: import_smithy_client.expectString,
    ForceEndpointErrorConfiguration: import_smithy_client._json,
    HlsManifests: import_smithy_client._json,
    LowLatencyHlsManifests: import_smithy_client._json,
    ModifiedAt: (_) => (0, import_smithy_client.expectNonNull)((0, import_smithy_client.parseEpochTimestamp)((0, import_smithy_client.expectNumber)(_))),
    OriginEndpointName: import_smithy_client.expectString
  });
}, "de_OriginEndpointListConfiguration");
var de_OriginEndpointsList = /* @__PURE__ */ __name((output, context) => {
  const retVal = (output || []).filter((e) => e != null).map((entry) => {
    return de_OriginEndpointListConfiguration(entry, context);
  });
  return retVal;
}, "de_OriginEndpointsList");
var de_StartTag = /* @__PURE__ */ __name((output, context) => {
  return (0, import_smithy_client.take)(output, {
    Precise: import_smithy_client.expectBoolean,
    TimeOffset: import_smithy_client.limitedParseFloat32
  });
}, "de_StartTag");
var deserializeMetadata = /* @__PURE__ */ __name((output) => ({
  httpStatusCode: output.statusCode,
  requestId: output.headers["x-amzn-requestid"] ?? output.headers["x-amzn-request-id"] ?? output.headers["x-amz-request-id"],
  extendedRequestId: output.headers["x-amz-id-2"],
  cfId: output.headers["x-amz-cf-id"]
}), "deserializeMetadata");
var _CN = "ChannelName";
var _CT = "ClientToken";
var _ET = "ETag";
var _MR = "MaxResults";
var _NT = "NextToken";
var _OEN = "OriginEndpointName";
var _S = "Status";
var _TK = "TagKeys";
var _cN = "channelName";
var _iS = "includeStatus";
var _mR = "maxResults";
var _nT = "nextToken";
var _oEN = "originEndpointName";
var _tK = "tagKeys";
var _xact = "x-amzn-client-token";
var _xauim = "x-amzn-update-if-match";

// src/commands/CancelHarvestJobCommand.ts
var CancelHarvestJobCommand = class extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("mediapackagev2", "CancelHarvestJob", {}).n("MediaPackageV2Client", "CancelHarvestJobCommand").f(void 0, void 0).ser(se_CancelHarvestJobCommand).de(de_CancelHarvestJobCommand).build() {
  static {
    __name(this, "CancelHarvestJobCommand");
  }
};

// src/commands/CreateChannelCommand.ts



var CreateChannelCommand = class extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("mediapackagev2", "CreateChannel", {}).n("MediaPackageV2Client", "CreateChannelCommand").f(void 0, void 0).ser(se_CreateChannelCommand).de(de_CreateChannelCommand).build() {
  static {
    __name(this, "CreateChannelCommand");
  }
};

// src/commands/CreateChannelGroupCommand.ts



var CreateChannelGroupCommand = class extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("mediapackagev2", "CreateChannelGroup", {}).n("MediaPackageV2Client", "CreateChannelGroupCommand").f(void 0, void 0).ser(se_CreateChannelGroupCommand).de(de_CreateChannelGroupCommand).build() {
  static {
    __name(this, "CreateChannelGroupCommand");
  }
};

// src/commands/CreateHarvestJobCommand.ts



var CreateHarvestJobCommand = class extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("mediapackagev2", "CreateHarvestJob", {}).n("MediaPackageV2Client", "CreateHarvestJobCommand").f(void 0, void 0).ser(se_CreateHarvestJobCommand).de(de_CreateHarvestJobCommand).build() {
  static {
    __name(this, "CreateHarvestJobCommand");
  }
};

// src/commands/CreateOriginEndpointCommand.ts



var CreateOriginEndpointCommand = class extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("mediapackagev2", "CreateOriginEndpoint", {}).n("MediaPackageV2Client", "CreateOriginEndpointCommand").f(void 0, void 0).ser(se_CreateOriginEndpointCommand).de(de_CreateOriginEndpointCommand).build() {
  static {
    __name(this, "CreateOriginEndpointCommand");
  }
};

// src/commands/DeleteChannelCommand.ts



var DeleteChannelCommand = class extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("mediapackagev2", "DeleteChannel", {}).n("MediaPackageV2Client", "DeleteChannelCommand").f(void 0, void 0).ser(se_DeleteChannelCommand).de(de_DeleteChannelCommand).build() {
  static {
    __name(this, "DeleteChannelCommand");
  }
};

// src/commands/DeleteChannelGroupCommand.ts



var DeleteChannelGroupCommand = class extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("mediapackagev2", "DeleteChannelGroup", {}).n("MediaPackageV2Client", "DeleteChannelGroupCommand").f(void 0, void 0).ser(se_DeleteChannelGroupCommand).de(de_DeleteChannelGroupCommand).build() {
  static {
    __name(this, "DeleteChannelGroupCommand");
  }
};

// src/commands/DeleteChannelPolicyCommand.ts



var DeleteChannelPolicyCommand = class extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("mediapackagev2", "DeleteChannelPolicy", {}).n("MediaPackageV2Client", "DeleteChannelPolicyCommand").f(void 0, void 0).ser(se_DeleteChannelPolicyCommand).de(de_DeleteChannelPolicyCommand).build() {
  static {
    __name(this, "DeleteChannelPolicyCommand");
  }
};

// src/commands/DeleteOriginEndpointCommand.ts



var DeleteOriginEndpointCommand = class extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("mediapackagev2", "DeleteOriginEndpoint", {}).n("MediaPackageV2Client", "DeleteOriginEndpointCommand").f(void 0, void 0).ser(se_DeleteOriginEndpointCommand).de(de_DeleteOriginEndpointCommand).build() {
  static {
    __name(this, "DeleteOriginEndpointCommand");
  }
};

// src/commands/DeleteOriginEndpointPolicyCommand.ts



var DeleteOriginEndpointPolicyCommand = class extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("mediapackagev2", "DeleteOriginEndpointPolicy", {}).n("MediaPackageV2Client", "DeleteOriginEndpointPolicyCommand").f(void 0, void 0).ser(se_DeleteOriginEndpointPolicyCommand).de(de_DeleteOriginEndpointPolicyCommand).build() {
  static {
    __name(this, "DeleteOriginEndpointPolicyCommand");
  }
};

// src/commands/GetChannelCommand.ts



var GetChannelCommand = class extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("mediapackagev2", "GetChannel", {}).n("MediaPackageV2Client", "GetChannelCommand").f(void 0, void 0).ser(se_GetChannelCommand).de(de_GetChannelCommand).build() {
  static {
    __name(this, "GetChannelCommand");
  }
};

// src/commands/GetChannelGroupCommand.ts



var GetChannelGroupCommand = class extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("mediapackagev2", "GetChannelGroup", {}).n("MediaPackageV2Client", "GetChannelGroupCommand").f(void 0, void 0).ser(se_GetChannelGroupCommand).de(de_GetChannelGroupCommand).build() {
  static {
    __name(this, "GetChannelGroupCommand");
  }
};

// src/commands/GetChannelPolicyCommand.ts



var GetChannelPolicyCommand = class extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("mediapackagev2", "GetChannelPolicy", {}).n("MediaPackageV2Client", "GetChannelPolicyCommand").f(void 0, void 0).ser(se_GetChannelPolicyCommand).de(de_GetChannelPolicyCommand).build() {
  static {
    __name(this, "GetChannelPolicyCommand");
  }
};

// src/commands/GetHarvestJobCommand.ts



var GetHarvestJobCommand = class extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("mediapackagev2", "GetHarvestJob", {}).n("MediaPackageV2Client", "GetHarvestJobCommand").f(void 0, void 0).ser(se_GetHarvestJobCommand).de(de_GetHarvestJobCommand).build() {
  static {
    __name(this, "GetHarvestJobCommand");
  }
};

// src/commands/GetOriginEndpointCommand.ts



var GetOriginEndpointCommand = class extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("mediapackagev2", "GetOriginEndpoint", {}).n("MediaPackageV2Client", "GetOriginEndpointCommand").f(void 0, void 0).ser(se_GetOriginEndpointCommand).de(de_GetOriginEndpointCommand).build() {
  static {
    __name(this, "GetOriginEndpointCommand");
  }
};

// src/commands/GetOriginEndpointPolicyCommand.ts



var GetOriginEndpointPolicyCommand = class extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("mediapackagev2", "GetOriginEndpointPolicy", {}).n("MediaPackageV2Client", "GetOriginEndpointPolicyCommand").f(void 0, void 0).ser(se_GetOriginEndpointPolicyCommand).de(de_GetOriginEndpointPolicyCommand).build() {
  static {
    __name(this, "GetOriginEndpointPolicyCommand");
  }
};

// src/commands/ListChannelGroupsCommand.ts



var ListChannelGroupsCommand = class extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("mediapackagev2", "ListChannelGroups", {}).n("MediaPackageV2Client", "ListChannelGroupsCommand").f(void 0, void 0).ser(se_ListChannelGroupsCommand).de(de_ListChannelGroupsCommand).build() {
  static {
    __name(this, "ListChannelGroupsCommand");
  }
};

// src/commands/ListChannelsCommand.ts



var ListChannelsCommand = class extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("mediapackagev2", "ListChannels", {}).n("MediaPackageV2Client", "ListChannelsCommand").f(void 0, void 0).ser(se_ListChannelsCommand).de(de_ListChannelsCommand).build() {
  static {
    __name(this, "ListChannelsCommand");
  }
};

// src/commands/ListHarvestJobsCommand.ts



var ListHarvestJobsCommand = class extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("mediapackagev2", "ListHarvestJobs", {}).n("MediaPackageV2Client", "ListHarvestJobsCommand").f(void 0, void 0).ser(se_ListHarvestJobsCommand).de(de_ListHarvestJobsCommand).build() {
  static {
    __name(this, "ListHarvestJobsCommand");
  }
};

// src/commands/ListOriginEndpointsCommand.ts



var ListOriginEndpointsCommand = class extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("mediapackagev2", "ListOriginEndpoints", {}).n("MediaPackageV2Client", "ListOriginEndpointsCommand").f(void 0, void 0).ser(se_ListOriginEndpointsCommand).de(de_ListOriginEndpointsCommand).build() {
  static {
    __name(this, "ListOriginEndpointsCommand");
  }
};

// src/commands/ListTagsForResourceCommand.ts



var ListTagsForResourceCommand = class extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("mediapackagev2", "ListTagsForResource", {}).n("MediaPackageV2Client", "ListTagsForResourceCommand").f(void 0, void 0).ser(se_ListTagsForResourceCommand).de(de_ListTagsForResourceCommand).build() {
  static {
    __name(this, "ListTagsForResourceCommand");
  }
};

// src/commands/PutChannelPolicyCommand.ts



var PutChannelPolicyCommand = class extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("mediapackagev2", "PutChannelPolicy", {}).n("MediaPackageV2Client", "PutChannelPolicyCommand").f(void 0, void 0).ser(se_PutChannelPolicyCommand).de(de_PutChannelPolicyCommand).build() {
  static {
    __name(this, "PutChannelPolicyCommand");
  }
};

// src/commands/PutOriginEndpointPolicyCommand.ts



var PutOriginEndpointPolicyCommand = class extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("mediapackagev2", "PutOriginEndpointPolicy", {}).n("MediaPackageV2Client", "PutOriginEndpointPolicyCommand").f(void 0, void 0).ser(se_PutOriginEndpointPolicyCommand).de(de_PutOriginEndpointPolicyCommand).build() {
  static {
    __name(this, "PutOriginEndpointPolicyCommand");
  }
};

// src/commands/TagResourceCommand.ts



var TagResourceCommand = class extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("mediapackagev2", "TagResource", {}).n("MediaPackageV2Client", "TagResourceCommand").f(void 0, void 0).ser(se_TagResourceCommand).de(de_TagResourceCommand).build() {
  static {
    __name(this, "TagResourceCommand");
  }
};

// src/commands/UntagResourceCommand.ts



var UntagResourceCommand = class extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("mediapackagev2", "UntagResource", {}).n("MediaPackageV2Client", "UntagResourceCommand").f(void 0, void 0).ser(se_UntagResourceCommand).de(de_UntagResourceCommand).build() {
  static {
    __name(this, "UntagResourceCommand");
  }
};

// src/commands/UpdateChannelCommand.ts



var UpdateChannelCommand = class extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("mediapackagev2", "UpdateChannel", {}).n("MediaPackageV2Client", "UpdateChannelCommand").f(void 0, void 0).ser(se_UpdateChannelCommand).de(de_UpdateChannelCommand).build() {
  static {
    __name(this, "UpdateChannelCommand");
  }
};

// src/commands/UpdateChannelGroupCommand.ts



var UpdateChannelGroupCommand = class extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("mediapackagev2", "UpdateChannelGroup", {}).n("MediaPackageV2Client", "UpdateChannelGroupCommand").f(void 0, void 0).ser(se_UpdateChannelGroupCommand).de(de_UpdateChannelGroupCommand).build() {
  static {
    __name(this, "UpdateChannelGroupCommand");
  }
};

// src/commands/UpdateOriginEndpointCommand.ts



var UpdateOriginEndpointCommand = class extends import_smithy_client.Command.classBuilder().ep(commonParams).m(function(Command, cs, config, o) {
  return [
    (0, import_middleware_serde.getSerdePlugin)(config, this.serialize, this.deserialize),
    (0, import_middleware_endpoint.getEndpointPlugin)(config, Command.getEndpointParameterInstructions())
  ];
}).s("mediapackagev2", "UpdateOriginEndpoint", {}).n("MediaPackageV2Client", "UpdateOriginEndpointCommand").f(void 0, void 0).ser(se_UpdateOriginEndpointCommand).de(de_UpdateOriginEndpointCommand).build() {
  static {
    __name(this, "UpdateOriginEndpointCommand");
  }
};

// src/MediaPackageV2.ts
var commands = {
  CancelHarvestJobCommand,
  CreateChannelCommand,
  CreateChannelGroupCommand,
  CreateHarvestJobCommand,
  CreateOriginEndpointCommand,
  DeleteChannelCommand,
  DeleteChannelGroupCommand,
  DeleteChannelPolicyCommand,
  DeleteOriginEndpointCommand,
  DeleteOriginEndpointPolicyCommand,
  GetChannelCommand,
  GetChannelGroupCommand,
  GetChannelPolicyCommand,
  GetHarvestJobCommand,
  GetOriginEndpointCommand,
  GetOriginEndpointPolicyCommand,
  ListChannelGroupsCommand,
  ListChannelsCommand,
  ListHarvestJobsCommand,
  ListOriginEndpointsCommand,
  ListTagsForResourceCommand,
  PutChannelPolicyCommand,
  PutOriginEndpointPolicyCommand,
  TagResourceCommand,
  UntagResourceCommand,
  UpdateChannelCommand,
  UpdateChannelGroupCommand,
  UpdateOriginEndpointCommand
};
var MediaPackageV2 = class extends MediaPackageV2Client {
  static {
    __name(this, "MediaPackageV2");
  }
};
(0, import_smithy_client.createAggregatedClient)(commands, MediaPackageV2);

// src/pagination/ListChannelGroupsPaginator.ts

var paginateListChannelGroups = (0, import_core.createPaginator)(MediaPackageV2Client, ListChannelGroupsCommand, "NextToken", "NextToken", "MaxResults");

// src/pagination/ListChannelsPaginator.ts

var paginateListChannels = (0, import_core.createPaginator)(MediaPackageV2Client, ListChannelsCommand, "NextToken", "NextToken", "MaxResults");

// src/pagination/ListHarvestJobsPaginator.ts

var paginateListHarvestJobs = (0, import_core.createPaginator)(MediaPackageV2Client, ListHarvestJobsCommand, "NextToken", "NextToken", "MaxResults");

// src/pagination/ListOriginEndpointsPaginator.ts

var paginateListOriginEndpoints = (0, import_core.createPaginator)(MediaPackageV2Client, ListOriginEndpointsCommand, "NextToken", "NextToken", "MaxResults");

// src/waiters/waitForHarvestJobFinished.ts
var import_util_waiter = require("@smithy/util-waiter");
var checkState = /* @__PURE__ */ __name(async (client, input) => {
  let reason;
  try {
    const result = await client.send(new GetHarvestJobCommand(input));
    reason = result;
    try {
      const returnComparator = /* @__PURE__ */ __name(() => {
        return result.Status;
      }, "returnComparator");
      if (returnComparator() === "COMPLETED") {
        return { state: import_util_waiter.WaiterState.SUCCESS, reason };
      }
    } catch (e) {
    }
    try {
      const returnComparator = /* @__PURE__ */ __name(() => {
        return result.Status;
      }, "returnComparator");
      if (returnComparator() === "CANCELLED") {
        return { state: import_util_waiter.WaiterState.SUCCESS, reason };
      }
    } catch (e) {
    }
    try {
      const returnComparator = /* @__PURE__ */ __name(() => {
        return result.Status;
      }, "returnComparator");
      if (returnComparator() === "FAILED") {
        return { state: import_util_waiter.WaiterState.FAILURE, reason };
      }
    } catch (e) {
    }
    try {
      const returnComparator = /* @__PURE__ */ __name(() => {
        return result.Status;
      }, "returnComparator");
      if (returnComparator() === "QUEUED") {
        return { state: import_util_waiter.WaiterState.RETRY, reason };
      }
    } catch (e) {
    }
    try {
      const returnComparator = /* @__PURE__ */ __name(() => {
        return result.Status;
      }, "returnComparator");
      if (returnComparator() === "IN_PROGRESS") {
        return { state: import_util_waiter.WaiterState.RETRY, reason };
      }
    } catch (e) {
    }
  } catch (exception) {
    reason = exception;
  }
  return { state: import_util_waiter.WaiterState.RETRY, reason };
}, "checkState");
var waitForHarvestJobFinished = /* @__PURE__ */ __name(async (params, input) => {
  const serviceDefaults = { minDelay: 2, maxDelay: 120 };
  return (0, import_util_waiter.createWaiter)({ ...serviceDefaults, ...params }, input, checkState);
}, "waitForHarvestJobFinished");
var waitUntilHarvestJobFinished = /* @__PURE__ */ __name(async (params, input) => {
  const serviceDefaults = { minDelay: 2, maxDelay: 120 };
  const result = await (0, import_util_waiter.createWaiter)({ ...serviceDefaults, ...params }, input, checkState);
  return (0, import_util_waiter.checkExceptions)(result);
}, "waitUntilHarvestJobFinished");
// Annotate the CommonJS export names for ESM import in node:

0 && (module.exports = {
  MediaPackageV2ServiceException,
  __Client,
  MediaPackageV2Client,
  MediaPackageV2,
  $Command,
  CancelHarvestJobCommand,
  CreateChannelCommand,
  CreateChannelGroupCommand,
  CreateHarvestJobCommand,
  CreateOriginEndpointCommand,
  DeleteChannelCommand,
  DeleteChannelGroupCommand,
  DeleteChannelPolicyCommand,
  DeleteOriginEndpointCommand,
  DeleteOriginEndpointPolicyCommand,
  GetChannelCommand,
  GetChannelGroupCommand,
  GetChannelPolicyCommand,
  GetHarvestJobCommand,
  GetOriginEndpointCommand,
  GetOriginEndpointPolicyCommand,
  ListChannelGroupsCommand,
  ListChannelsCommand,
  ListHarvestJobsCommand,
  ListOriginEndpointsCommand,
  ListTagsForResourceCommand,
  PutChannelPolicyCommand,
  PutOriginEndpointPolicyCommand,
  TagResourceCommand,
  UntagResourceCommand,
  UpdateChannelCommand,
  UpdateChannelGroupCommand,
  UpdateOriginEndpointCommand,
  paginateListChannelGroups,
  paginateListChannels,
  paginateListHarvestJobs,
  paginateListOriginEndpoints,
  waitForHarvestJobFinished,
  waitUntilHarvestJobFinished,
  AccessDeniedException,
  AdMarkerDash,
  AdMarkerHls,
  ConflictExceptionType,
  ConflictException,
  InternalServerException,
  ResourceTypeNotFound,
  ResourceNotFoundException,
  ThrottlingException,
  ValidationExceptionType,
  ValidationException,
  InputType,
  ServiceQuotaExceededException,
  ContainerType,
  DashDrmSignaling,
  DashPeriodTrigger,
  DashSegmentTemplateFormat,
  DashUtcTimingMode,
  EndpointErrorCondition,
  CmafEncryptionMethod,
  TsEncryptionMethod,
  DrmSystem,
  PresetSpeke20Audio,
  PresetSpeke20Video,
  ScteFilter,
  HarvestJobStatus
});

