import { createAggregatedClient } from "@smithy/smithy-client";
import { CancelHarvestJobCommand, } from "./commands/CancelHarvestJobCommand";
import { CreateChannelCommand, } from "./commands/CreateChannelCommand";
import { CreateChannelGroupCommand, } from "./commands/CreateChannelGroupCommand";
import { CreateHarvestJobCommand, } from "./commands/CreateHarvestJobCommand";
import { CreateOriginEndpointCommand, } from "./commands/CreateOriginEndpointCommand";
import { DeleteChannelCommand, } from "./commands/DeleteChannelCommand";
import { DeleteChannelGroupCommand, } from "./commands/DeleteChannelGroupCommand";
import { DeleteChannelPolicyCommand, } from "./commands/DeleteChannelPolicyCommand";
import { DeleteOriginEndpointCommand, } from "./commands/DeleteOriginEndpointCommand";
import { DeleteOriginEndpointPolicyCommand, } from "./commands/DeleteOriginEndpointPolicyCommand";
import { GetChannelCommand } from "./commands/GetChannelCommand";
import { GetChannelGroupCommand, } from "./commands/GetChannelGroupCommand";
import { GetChannelPolicyCommand, } from "./commands/GetChannelPolicyCommand";
import { GetHarvestJobCommand, } from "./commands/GetHarvestJobCommand";
import { GetOriginEndpointCommand, } from "./commands/GetOriginEndpointCommand";
import { GetOriginEndpointPolicyCommand, } from "./commands/GetOriginEndpointPolicyCommand";
import { ListChannelGroupsCommand, } from "./commands/ListChannelGroupsCommand";
import { ListChannelsCommand, } from "./commands/ListChannelsCommand";
import { ListHarvestJobsCommand, } from "./commands/ListHarvestJobsCommand";
import { ListOriginEndpointsCommand, } from "./commands/ListOriginEndpointsCommand";
import { ListTagsForResourceCommand, } from "./commands/ListTagsForResourceCommand";
import { PutChannelPolicyCommand, } from "./commands/PutChannelPolicyCommand";
import { PutOriginEndpointPolicyCommand, } from "./commands/PutOriginEndpointPolicyCommand";
import { TagResourceCommand } from "./commands/TagResourceCommand";
import { UntagResourceCommand, } from "./commands/UntagResourceCommand";
import { UpdateChannelCommand, } from "./commands/UpdateChannelCommand";
import { UpdateChannelGroupCommand, } from "./commands/UpdateChannelGroupCommand";
import { UpdateOriginEndpointCommand, } from "./commands/UpdateOriginEndpointCommand";
import { MediaPackageV2Client } from "./MediaPackageV2Client";
const commands = {
    CancelHarvestJobCommand,
    CreateChannelCommand,
    CreateChannelGroupCommand,
    CreateHarvestJobCommand,
    CreateOriginEndpointCommand,
    DeleteChannelCommand,
    DeleteChannelGroupCommand,
    DeleteChannelPolicyCommand,
    DeleteOriginEndpointCommand,
    DeleteOriginEndpointPolicyCommand,
    GetChannelCommand,
    GetChannelGroupCommand,
    GetChannelPolicyCommand,
    GetHarvestJobCommand,
    GetOriginEndpointCommand,
    GetOriginEndpointPolicyCommand,
    ListChannelGroupsCommand,
    ListChannelsCommand,
    ListHarvestJobsCommand,
    ListOriginEndpointsCommand,
    ListTagsForResourceCommand,
    PutChannelPolicyCommand,
    PutOriginEndpointPolicyCommand,
    TagResourceCommand,
    UntagResourceCommand,
    UpdateChannelCommand,
    UpdateChannelGroupCommand,
    UpdateOriginEndpointCommand,
};
export class MediaPackageV2 extends MediaPackageV2Client {
}
createAggregatedClient(commands, MediaPackageV2);
