import { ExceptionOptionType as __ExceptionOptionType } from "@smithy/smithy-client";
import { MediaPackageV2ServiceException as __BaseException } from "./MediaPackageV2ServiceException";
export declare class AccessDeniedException extends __BaseException {
  readonly name: "AccessDeniedException";
  readonly $fault: "client";
  Message?: string | undefined;
  constructor(
    opts: __ExceptionOptionType<AccessDeniedException, __BaseException>
  );
}
export declare const AdMarkerDash: {
  readonly BINARY: "BINARY";
  readonly XML: "XML";
};
export type AdMarkerDash = (typeof AdMarkerDash)[keyof typeof AdMarkerDash];
export declare const AdMarkerHls: {
  readonly DATERANGE: "DATERANGE";
};
export type AdMarkerHls = (typeof AdMarkerHls)[keyof typeof AdMarkerHls];
export interface CancelHarvestJobRequest {
  ChannelGroupName: string | undefined;
  ChannelName: string | undefined;
  OriginEndpointName: string | undefined;
  HarvestJobName: string | undefined;
  ETag?: string | undefined;
}
export interface CancelHarvestJobResponse {}
export declare const ConflictExceptionType: {
  readonly CONFLICTING_OPERATION: "CONFLICTING_OPERATION";
  readonly IDEMPOTENT_PARAMETER_MISMATCH: "IDEMPOTENT_PARAMETER_MISMATCH";
  readonly RESOURCE_ALREADY_EXISTS: "RESOURCE_ALREADY_EXISTS";
  readonly RESOURCE_IN_USE: "RESOURCE_IN_USE";
};
export type ConflictExceptionType =
  (typeof ConflictExceptionType)[keyof typeof ConflictExceptionType];
export declare class ConflictException extends __BaseException {
  readonly name: "ConflictException";
  readonly $fault: "client";
  Message?: string | undefined;
  ConflictExceptionType?: ConflictExceptionType | undefined;
  constructor(opts: __ExceptionOptionType<ConflictException, __BaseException>);
}
export declare class InternalServerException extends __BaseException {
  readonly name: "InternalServerException";
  readonly $fault: "server";
  Message?: string | undefined;
  constructor(
    opts: __ExceptionOptionType<InternalServerException, __BaseException>
  );
}
export declare const ResourceTypeNotFound: {
  readonly CHANNEL: "CHANNEL";
  readonly CHANNEL_GROUP: "CHANNEL_GROUP";
  readonly HARVEST_JOB: "HARVEST_JOB";
  readonly ORIGIN_ENDPOINT: "ORIGIN_ENDPOINT";
};
export type ResourceTypeNotFound =
  (typeof ResourceTypeNotFound)[keyof typeof ResourceTypeNotFound];
export declare class ResourceNotFoundException extends __BaseException {
  readonly name: "ResourceNotFoundException";
  readonly $fault: "client";
  Message?: string | undefined;
  ResourceTypeNotFound?: ResourceTypeNotFound | undefined;
  constructor(
    opts: __ExceptionOptionType<ResourceNotFoundException, __BaseException>
  );
}
export declare class ThrottlingException extends __BaseException {
  readonly name: "ThrottlingException";
  readonly $fault: "client";
  Message?: string | undefined;
  constructor(
    opts: __ExceptionOptionType<ThrottlingException, __BaseException>
  );
}
export declare const ValidationExceptionType: {
  readonly CENC_IV_INCOMPATIBLE: "CENC_IV_INCOMPATIBLE";
  readonly CLIP_START_TIME_WITH_START_OR_END: "CLIP_START_TIME_WITH_START_OR_END";
  readonly CONTAINER_TYPE_IMMUTABLE: "CONTAINER_TYPE_IMMUTABLE";
  readonly DIRECT_MODE_WITH_TIMING_SOURCE: "DIRECT_MODE_WITH_TIMING_SOURCE";
  readonly DRM_SIGNALING_MISMATCH_SEGMENT_ENCRYPTION_STATUS: "DRM_SIGNALING_MISMATCH_SEGMENT_ENCRYPTION_STATUS";
  readonly DRM_SYSTEMS_ENCRYPTION_METHOD_INCOMPATIBLE: "DRM_SYSTEMS_ENCRYPTION_METHOD_INCOMPATIBLE";
  readonly ENCRYPTION_CONTRACT_SHARED: "ENCRYPTION_CONTRACT_SHARED";
  readonly ENCRYPTION_CONTRACT_UNENCRYPTED: "ENCRYPTION_CONTRACT_UNENCRYPTED";
  readonly ENCRYPTION_CONTRACT_WITHOUT_AUDIO_RENDITION_INCOMPATIBLE: "ENCRYPTION_CONTRACT_WITHOUT_AUDIO_RENDITION_INCOMPATIBLE";
  readonly ENCRYPTION_METHOD_CONTAINER_TYPE_MISMATCH: "ENCRYPTION_METHOD_CONTAINER_TYPE_MISMATCH";
  readonly END_TIME_EARLIER_THAN_START_TIME: "END_TIME_EARLIER_THAN_START_TIME";
  readonly HARVESTED_MANIFEST_HAS_START_END_FILTER_CONFIGURATION: "HARVESTED_MANIFEST_HAS_START_END_FILTER_CONFIGURATION";
  readonly HARVESTED_MANIFEST_NOT_FOUND_ON_ENDPOINT: "HARVESTED_MANIFEST_NOT_FOUND_ON_ENDPOINT";
  readonly HARVEST_JOB_CUSTOMER_ENDPOINT_READ_ACCESS_DENIED: "HARVEST_JOB_CUSTOMER_ENDPOINT_READ_ACCESS_DENIED";
  readonly HARVEST_JOB_INELIGIBLE_FOR_CANCELLATION: "HARVEST_JOB_INELIGIBLE_FOR_CANCELLATION";
  readonly HARVEST_JOB_S3_DESTINATION_MISSING_OR_INCOMPLETE: "HARVEST_JOB_S3_DESTINATION_MISSING_OR_INCOMPLETE";
  readonly HARVEST_JOB_UNABLE_TO_WRITE_TO_S3_DESTINATION: "HARVEST_JOB_UNABLE_TO_WRITE_TO_S3_DESTINATION";
  readonly INVALID_HARVEST_JOB_DURATION: "INVALID_HARVEST_JOB_DURATION";
  readonly INVALID_MANIFEST_FILTER: "INVALID_MANIFEST_FILTER";
  readonly INVALID_PAGINATION_MAX_RESULTS: "INVALID_PAGINATION_MAX_RESULTS";
  readonly INVALID_PAGINATION_TOKEN: "INVALID_PAGINATION_TOKEN";
  readonly INVALID_POLICY: "INVALID_POLICY";
  readonly INVALID_ROLE_ARN: "INVALID_ROLE_ARN";
  readonly INVALID_TIME_DELAY_SECONDS: "INVALID_TIME_DELAY_SECONDS";
  readonly MANIFEST_DRM_SYSTEMS_INCOMPATIBLE: "MANIFEST_DRM_SYSTEMS_INCOMPATIBLE";
  readonly MANIFEST_NAME_COLLISION: "MANIFEST_NAME_COLLISION";
  readonly MEMBER_DOES_NOT_MATCH_PATTERN: "MEMBER_DOES_NOT_MATCH_PATTERN";
  readonly MEMBER_INVALID: "MEMBER_INVALID";
  readonly MEMBER_INVALID_ENUM_VALUE: "MEMBER_INVALID_ENUM_VALUE";
  readonly MEMBER_MAX_LENGTH: "MEMBER_MAX_LENGTH";
  readonly MEMBER_MAX_VALUE: "MEMBER_MAX_VALUE";
  readonly MEMBER_MIN_LENGTH: "MEMBER_MIN_LENGTH";
  readonly MEMBER_MIN_VALUE: "MEMBER_MIN_VALUE";
  readonly MEMBER_MISSING: "MEMBER_MISSING";
  readonly NONE_MODE_WITH_TIMING_SOURCE: "NONE_MODE_WITH_TIMING_SOURCE";
  readonly NUM_MANIFESTS_HIGH: "NUM_MANIFESTS_HIGH";
  readonly NUM_MANIFESTS_LOW: "NUM_MANIFESTS_LOW";
  readonly ONLY_CMAF_INPUT_TYPE_ALLOW_FORCE_ENDPOINT_ERROR_CONFIGURATION: "ONLY_CMAF_INPUT_TYPE_ALLOW_FORCE_ENDPOINT_ERROR_CONFIGURATION";
  readonly ONLY_CMAF_INPUT_TYPE_ALLOW_MQCS_INPUT_SWITCHING: "ONLY_CMAF_INPUT_TYPE_ALLOW_MQCS_INPUT_SWITCHING";
  readonly ONLY_CMAF_INPUT_TYPE_ALLOW_MQCS_OUTPUT_CONFIGURATION: "ONLY_CMAF_INPUT_TYPE_ALLOW_MQCS_OUTPUT_CONFIGURATION";
  readonly PERIOD_TRIGGERS_NONE_SPECIFIED_WITH_ADDITIONAL_VALUES: "PERIOD_TRIGGERS_NONE_SPECIFIED_WITH_ADDITIONAL_VALUES";
  readonly ROLE_ARN_INVALID_FORMAT: "ROLE_ARN_INVALID_FORMAT";
  readonly ROLE_ARN_LENGTH_OUT_OF_RANGE: "ROLE_ARN_LENGTH_OUT_OF_RANGE";
  readonly ROLE_ARN_NOT_ASSUMABLE: "ROLE_ARN_NOT_ASSUMABLE";
  readonly SOURCE_DISRUPTIONS_ENABLED_INCORRECTLY: "SOURCE_DISRUPTIONS_ENABLED_INCORRECTLY";
  readonly START_TAG_TIME_OFFSET_INVALID: "START_TAG_TIME_OFFSET_INVALID";
  readonly TIMING_SOURCE_MISSING: "TIMING_SOURCE_MISSING";
  readonly TOO_MANY_IN_PROGRESS_HARVEST_JOBS: "TOO_MANY_IN_PROGRESS_HARVEST_JOBS";
  readonly TS_CONTAINER_TYPE_WITH_DASH_MANIFEST: "TS_CONTAINER_TYPE_WITH_DASH_MANIFEST";
  readonly UPDATE_PERIOD_SMALLER_THAN_SEGMENT_DURATION: "UPDATE_PERIOD_SMALLER_THAN_SEGMENT_DURATION";
  readonly URL_INVALID: "URL_INVALID";
  readonly URL_LINK_LOCAL_ADDRESS: "URL_LINK_LOCAL_ADDRESS";
  readonly URL_LOCAL_ADDRESS: "URL_LOCAL_ADDRESS";
  readonly URL_LOOPBACK_ADDRESS: "URL_LOOPBACK_ADDRESS";
  readonly URL_MULTICAST_ADDRESS: "URL_MULTICAST_ADDRESS";
  readonly URL_PORT: "URL_PORT";
  readonly URL_SCHEME: "URL_SCHEME";
  readonly URL_UNKNOWN_HOST: "URL_UNKNOWN_HOST";
  readonly URL_USER_INFO: "URL_USER_INFO";
};
export type ValidationExceptionType =
  (typeof ValidationExceptionType)[keyof typeof ValidationExceptionType];
export declare class ValidationException extends __BaseException {
  readonly name: "ValidationException";
  readonly $fault: "client";
  Message?: string | undefined;
  ValidationExceptionType?: ValidationExceptionType | undefined;
  constructor(
    opts: __ExceptionOptionType<ValidationException, __BaseException>
  );
}
export interface ChannelGroupListConfiguration {
  ChannelGroupName: string | undefined;
  Arn: string | undefined;
  CreatedAt: Date | undefined;
  ModifiedAt: Date | undefined;
  Description?: string | undefined;
}
export interface DeleteChannelPolicyRequest {
  ChannelGroupName: string | undefined;
  ChannelName: string | undefined;
}
export interface DeleteChannelPolicyResponse {}
export interface GetChannelPolicyRequest {
  ChannelGroupName: string | undefined;
  ChannelName: string | undefined;
}
export interface GetChannelPolicyResponse {
  ChannelGroupName: string | undefined;
  ChannelName: string | undefined;
  Policy: string | undefined;
}
export interface PutChannelPolicyRequest {
  ChannelGroupName: string | undefined;
  ChannelName: string | undefined;
  Policy: string | undefined;
}
export interface PutChannelPolicyResponse {}
export interface InputSwitchConfiguration {
  MQCSInputSwitching?: boolean | undefined;
}
export declare const InputType: {
  readonly CMAF: "CMAF";
  readonly HLS: "HLS";
};
export type InputType = (typeof InputType)[keyof typeof InputType];
export interface OutputHeaderConfiguration {
  PublishMQCS?: boolean | undefined;
}
export interface CreateChannelRequest {
  ChannelGroupName: string | undefined;
  ChannelName: string | undefined;
  ClientToken?: string | undefined;
  InputType?: InputType | undefined;
  Description?: string | undefined;
  InputSwitchConfiguration?: InputSwitchConfiguration | undefined;
  OutputHeaderConfiguration?: OutputHeaderConfiguration | undefined;
  Tags?: Record<string, string> | undefined;
}
export interface IngestEndpoint {
  Id?: string | undefined;
  Url?: string | undefined;
}
export interface CreateChannelResponse {
  Arn: string | undefined;
  ChannelName: string | undefined;
  ChannelGroupName: string | undefined;
  CreatedAt: Date | undefined;
  ModifiedAt: Date | undefined;
  Description?: string | undefined;
  IngestEndpoints?: IngestEndpoint[] | undefined;
  InputType?: InputType | undefined;
  ETag?: string | undefined;
  Tags?: Record<string, string> | undefined;
  InputSwitchConfiguration?: InputSwitchConfiguration | undefined;
  OutputHeaderConfiguration?: OutputHeaderConfiguration | undefined;
}
export declare class ServiceQuotaExceededException extends __BaseException {
  readonly name: "ServiceQuotaExceededException";
  readonly $fault: "client";
  Message?: string | undefined;
  constructor(
    opts: __ExceptionOptionType<ServiceQuotaExceededException, __BaseException>
  );
}
export interface DeleteChannelRequest {
  ChannelGroupName: string | undefined;
  ChannelName: string | undefined;
}
export interface DeleteChannelResponse {}
export interface GetChannelRequest {
  ChannelGroupName: string | undefined;
  ChannelName: string | undefined;
}
export interface GetChannelResponse {
  Arn: string | undefined;
  ChannelName: string | undefined;
  ChannelGroupName: string | undefined;
  CreatedAt: Date | undefined;
  ModifiedAt: Date | undefined;
  Description?: string | undefined;
  IngestEndpoints?: IngestEndpoint[] | undefined;
  InputType?: InputType | undefined;
  ETag?: string | undefined;
  Tags?: Record<string, string> | undefined;
  InputSwitchConfiguration?: InputSwitchConfiguration | undefined;
  OutputHeaderConfiguration?: OutputHeaderConfiguration | undefined;
}
export interface ListChannelsRequest {
  ChannelGroupName: string | undefined;
  MaxResults?: number | undefined;
  NextToken?: string | undefined;
}
export interface ChannelListConfiguration {
  Arn: string | undefined;
  ChannelName: string | undefined;
  ChannelGroupName: string | undefined;
  CreatedAt: Date | undefined;
  ModifiedAt: Date | undefined;
  Description?: string | undefined;
  InputType?: InputType | undefined;
}
export interface ListChannelsResponse {
  Items?: ChannelListConfiguration[] | undefined;
  NextToken?: string | undefined;
}
export declare const ContainerType: {
  readonly CMAF: "CMAF";
  readonly TS: "TS";
};
export type ContainerType = (typeof ContainerType)[keyof typeof ContainerType];
export declare const DashDrmSignaling: {
  readonly INDIVIDUAL: "INDIVIDUAL";
  readonly REFERENCED: "REFERENCED";
};
export type DashDrmSignaling =
  (typeof DashDrmSignaling)[keyof typeof DashDrmSignaling];
export interface FilterConfiguration {
  ManifestFilter?: string | undefined;
  Start?: Date | undefined;
  End?: Date | undefined;
  TimeDelaySeconds?: number | undefined;
  ClipStartTime?: Date | undefined;
}
export declare const DashPeriodTrigger: {
  readonly AVAILS: "AVAILS";
  readonly DRM_KEY_ROTATION: "DRM_KEY_ROTATION";
  readonly NONE: "NONE";
  readonly SOURCE_CHANGES: "SOURCE_CHANGES";
  readonly SOURCE_DISRUPTIONS: "SOURCE_DISRUPTIONS";
};
export type DashPeriodTrigger =
  (typeof DashPeriodTrigger)[keyof typeof DashPeriodTrigger];
export interface ScteDash {
  AdMarkerDash?: AdMarkerDash | undefined;
}
export declare const DashSegmentTemplateFormat: {
  readonly NUMBER_WITH_TIMELINE: "NUMBER_WITH_TIMELINE";
};
export type DashSegmentTemplateFormat =
  (typeof DashSegmentTemplateFormat)[keyof typeof DashSegmentTemplateFormat];
export declare const DashUtcTimingMode: {
  readonly HTTP_HEAD: "HTTP_HEAD";
  readonly HTTP_ISO: "HTTP_ISO";
  readonly HTTP_XSDATE: "HTTP_XSDATE";
  readonly UTC_DIRECT: "UTC_DIRECT";
};
export type DashUtcTimingMode =
  (typeof DashUtcTimingMode)[keyof typeof DashUtcTimingMode];
export interface DashUtcTiming {
  TimingMode?: DashUtcTimingMode | undefined;
  TimingSource?: string | undefined;
}
export interface CreateDashManifestConfiguration {
  ManifestName: string | undefined;
  ManifestWindowSeconds?: number | undefined;
  FilterConfiguration?: FilterConfiguration | undefined;
  MinUpdatePeriodSeconds?: number | undefined;
  MinBufferTimeSeconds?: number | undefined;
  SuggestedPresentationDelaySeconds?: number | undefined;
  SegmentTemplateFormat?: DashSegmentTemplateFormat | undefined;
  PeriodTriggers?: DashPeriodTrigger[] | undefined;
  ScteDash?: ScteDash | undefined;
  DrmSignaling?: DashDrmSignaling | undefined;
  UtcTiming?: DashUtcTiming | undefined;
}
export declare const EndpointErrorCondition: {
  readonly INCOMPLETE_MANIFEST: "INCOMPLETE_MANIFEST";
  readonly MISSING_DRM_KEY: "MISSING_DRM_KEY";
  readonly SLATE_INPUT: "SLATE_INPUT";
  readonly STALE_MANIFEST: "STALE_MANIFEST";
};
export type EndpointErrorCondition =
  (typeof EndpointErrorCondition)[keyof typeof EndpointErrorCondition];
export interface ForceEndpointErrorConfiguration {
  EndpointErrorConditions?: EndpointErrorCondition[] | undefined;
}
export interface ScteHls {
  AdMarkerHls?: AdMarkerHls | undefined;
}
export interface StartTag {
  TimeOffset: number | undefined;
  Precise?: boolean | undefined;
}
export interface CreateHlsManifestConfiguration {
  ManifestName: string | undefined;
  ChildManifestName?: string | undefined;
  ScteHls?: ScteHls | undefined;
  StartTag?: StartTag | undefined;
  ManifestWindowSeconds?: number | undefined;
  ProgramDateTimeIntervalSeconds?: number | undefined;
  FilterConfiguration?: FilterConfiguration | undefined;
}
export interface CreateLowLatencyHlsManifestConfiguration {
  ManifestName: string | undefined;
  ChildManifestName?: string | undefined;
  ScteHls?: ScteHls | undefined;
  StartTag?: StartTag | undefined;
  ManifestWindowSeconds?: number | undefined;
  ProgramDateTimeIntervalSeconds?: number | undefined;
  FilterConfiguration?: FilterConfiguration | undefined;
}
export declare const CmafEncryptionMethod: {
  readonly CBCS: "CBCS";
  readonly CENC: "CENC";
};
export type CmafEncryptionMethod =
  (typeof CmafEncryptionMethod)[keyof typeof CmafEncryptionMethod];
export declare const TsEncryptionMethod: {
  readonly AES_128: "AES_128";
  readonly SAMPLE_AES: "SAMPLE_AES";
};
export type TsEncryptionMethod =
  (typeof TsEncryptionMethod)[keyof typeof TsEncryptionMethod];
export interface EncryptionMethod {
  TsEncryptionMethod?: TsEncryptionMethod | undefined;
  CmafEncryptionMethod?: CmafEncryptionMethod | undefined;
}
export declare const DrmSystem: {
  readonly CLEAR_KEY_AES_128: "CLEAR_KEY_AES_128";
  readonly FAIRPLAY: "FAIRPLAY";
  readonly IRDETO: "IRDETO";
  readonly PLAYREADY: "PLAYREADY";
  readonly WIDEVINE: "WIDEVINE";
};
export type DrmSystem = (typeof DrmSystem)[keyof typeof DrmSystem];
export declare const PresetSpeke20Audio: {
  readonly PRESET_AUDIO_1: "PRESET_AUDIO_1";
  readonly PRESET_AUDIO_2: "PRESET_AUDIO_2";
  readonly PRESET_AUDIO_3: "PRESET_AUDIO_3";
  readonly SHARED: "SHARED";
  readonly UNENCRYPTED: "UNENCRYPTED";
};
export type PresetSpeke20Audio =
  (typeof PresetSpeke20Audio)[keyof typeof PresetSpeke20Audio];
export declare const PresetSpeke20Video: {
  readonly PRESET_VIDEO_1: "PRESET_VIDEO_1";
  readonly PRESET_VIDEO_2: "PRESET_VIDEO_2";
  readonly PRESET_VIDEO_3: "PRESET_VIDEO_3";
  readonly PRESET_VIDEO_4: "PRESET_VIDEO_4";
  readonly PRESET_VIDEO_5: "PRESET_VIDEO_5";
  readonly PRESET_VIDEO_6: "PRESET_VIDEO_6";
  readonly PRESET_VIDEO_7: "PRESET_VIDEO_7";
  readonly PRESET_VIDEO_8: "PRESET_VIDEO_8";
  readonly SHARED: "SHARED";
  readonly UNENCRYPTED: "UNENCRYPTED";
};
export type PresetSpeke20Video =
  (typeof PresetSpeke20Video)[keyof typeof PresetSpeke20Video];
export interface EncryptionContractConfiguration {
  PresetSpeke20Audio: PresetSpeke20Audio | undefined;
  PresetSpeke20Video: PresetSpeke20Video | undefined;
}
export interface SpekeKeyProvider {
  EncryptionContractConfiguration: EncryptionContractConfiguration | undefined;
  ResourceId: string | undefined;
  DrmSystems: DrmSystem[] | undefined;
  RoleArn: string | undefined;
  Url: string | undefined;
}
export interface Encryption {
  ConstantInitializationVector?: string | undefined;
  EncryptionMethod: EncryptionMethod | undefined;
  KeyRotationIntervalSeconds?: number | undefined;
  SpekeKeyProvider: SpekeKeyProvider | undefined;
}
export declare const ScteFilter: {
  readonly BREAK: "BREAK";
  readonly DISTRIBUTOR_ADVERTISEMENT: "DISTRIBUTOR_ADVERTISEMENT";
  readonly DISTRIBUTOR_OVERLAY_PLACEMENT_OPPORTUNITY: "DISTRIBUTOR_OVERLAY_PLACEMENT_OPPORTUNITY";
  readonly DISTRIBUTOR_PLACEMENT_OPPORTUNITY: "DISTRIBUTOR_PLACEMENT_OPPORTUNITY";
  readonly PROGRAM: "PROGRAM";
  readonly PROVIDER_ADVERTISEMENT: "PROVIDER_ADVERTISEMENT";
  readonly PROVIDER_OVERLAY_PLACEMENT_OPPORTUNITY: "PROVIDER_OVERLAY_PLACEMENT_OPPORTUNITY";
  readonly PROVIDER_PLACEMENT_OPPORTUNITY: "PROVIDER_PLACEMENT_OPPORTUNITY";
  readonly SPLICE_INSERT: "SPLICE_INSERT";
};
export type ScteFilter = (typeof ScteFilter)[keyof typeof ScteFilter];
export interface Scte {
  ScteFilter?: ScteFilter[] | undefined;
}
export interface Segment {
  SegmentDurationSeconds?: number | undefined;
  SegmentName?: string | undefined;
  TsUseAudioRenditionGroup?: boolean | undefined;
  IncludeIframeOnlyStreams?: boolean | undefined;
  TsIncludeDvbSubtitles?: boolean | undefined;
  Scte?: Scte | undefined;
  Encryption?: Encryption | undefined;
}
export interface CreateOriginEndpointRequest {
  ChannelGroupName: string | undefined;
  ChannelName: string | undefined;
  OriginEndpointName: string | undefined;
  ContainerType: ContainerType | undefined;
  Segment?: Segment | undefined;
  ClientToken?: string | undefined;
  Description?: string | undefined;
  StartoverWindowSeconds?: number | undefined;
  HlsManifests?: CreateHlsManifestConfiguration[] | undefined;
  LowLatencyHlsManifests?:
    | CreateLowLatencyHlsManifestConfiguration[]
    | undefined;
  DashManifests?: CreateDashManifestConfiguration[] | undefined;
  ForceEndpointErrorConfiguration?: ForceEndpointErrorConfiguration | undefined;
  Tags?: Record<string, string> | undefined;
}
export interface GetDashManifestConfiguration {
  ManifestName: string | undefined;
  Url: string | undefined;
  ManifestWindowSeconds?: number | undefined;
  FilterConfiguration?: FilterConfiguration | undefined;
  MinUpdatePeriodSeconds?: number | undefined;
  MinBufferTimeSeconds?: number | undefined;
  SuggestedPresentationDelaySeconds?: number | undefined;
  SegmentTemplateFormat?: DashSegmentTemplateFormat | undefined;
  PeriodTriggers?: DashPeriodTrigger[] | undefined;
  ScteDash?: ScteDash | undefined;
  DrmSignaling?: DashDrmSignaling | undefined;
  UtcTiming?: DashUtcTiming | undefined;
}
export interface GetHlsManifestConfiguration {
  ManifestName: string | undefined;
  Url: string | undefined;
  ChildManifestName?: string | undefined;
  ManifestWindowSeconds?: number | undefined;
  ProgramDateTimeIntervalSeconds?: number | undefined;
  ScteHls?: ScteHls | undefined;
  FilterConfiguration?: FilterConfiguration | undefined;
  StartTag?: StartTag | undefined;
}
export interface GetLowLatencyHlsManifestConfiguration {
  ManifestName: string | undefined;
  Url: string | undefined;
  ChildManifestName?: string | undefined;
  ManifestWindowSeconds?: number | undefined;
  ProgramDateTimeIntervalSeconds?: number | undefined;
  ScteHls?: ScteHls | undefined;
  FilterConfiguration?: FilterConfiguration | undefined;
  StartTag?: StartTag | undefined;
}
export interface CreateOriginEndpointResponse {
  Arn: string | undefined;
  ChannelGroupName: string | undefined;
  ChannelName: string | undefined;
  OriginEndpointName: string | undefined;
  ContainerType: ContainerType | undefined;
  Segment: Segment | undefined;
  CreatedAt: Date | undefined;
  ModifiedAt: Date | undefined;
  Description?: string | undefined;
  StartoverWindowSeconds?: number | undefined;
  HlsManifests?: GetHlsManifestConfiguration[] | undefined;
  LowLatencyHlsManifests?: GetLowLatencyHlsManifestConfiguration[] | undefined;
  DashManifests?: GetDashManifestConfiguration[] | undefined;
  ForceEndpointErrorConfiguration?: ForceEndpointErrorConfiguration | undefined;
  ETag?: string | undefined;
  Tags?: Record<string, string> | undefined;
}
export interface DeleteOriginEndpointRequest {
  ChannelGroupName: string | undefined;
  ChannelName: string | undefined;
  OriginEndpointName: string | undefined;
}
export interface DeleteOriginEndpointResponse {}
export interface GetOriginEndpointRequest {
  ChannelGroupName: string | undefined;
  ChannelName: string | undefined;
  OriginEndpointName: string | undefined;
}
export interface GetOriginEndpointResponse {
  Arn: string | undefined;
  ChannelGroupName: string | undefined;
  ChannelName: string | undefined;
  OriginEndpointName: string | undefined;
  ContainerType: ContainerType | undefined;
  Segment: Segment | undefined;
  CreatedAt: Date | undefined;
  ModifiedAt: Date | undefined;
  Description?: string | undefined;
  StartoverWindowSeconds?: number | undefined;
  HlsManifests?: GetHlsManifestConfiguration[] | undefined;
  LowLatencyHlsManifests?: GetLowLatencyHlsManifestConfiguration[] | undefined;
  DashManifests?: GetDashManifestConfiguration[] | undefined;
  ForceEndpointErrorConfiguration?: ForceEndpointErrorConfiguration | undefined;
  ETag?: string | undefined;
  Tags?: Record<string, string> | undefined;
}
export interface ListOriginEndpointsRequest {
  ChannelGroupName: string | undefined;
  ChannelName: string | undefined;
  MaxResults?: number | undefined;
  NextToken?: string | undefined;
}
export interface ListDashManifestConfiguration {
  ManifestName: string | undefined;
  Url?: string | undefined;
}
export interface ListHlsManifestConfiguration {
  ManifestName: string | undefined;
  ChildManifestName?: string | undefined;
  Url?: string | undefined;
}
export interface ListLowLatencyHlsManifestConfiguration {
  ManifestName: string | undefined;
  ChildManifestName?: string | undefined;
  Url?: string | undefined;
}
export interface OriginEndpointListConfiguration {
  Arn: string | undefined;
  ChannelGroupName: string | undefined;
  ChannelName: string | undefined;
  OriginEndpointName: string | undefined;
  ContainerType: ContainerType | undefined;
  Description?: string | undefined;
  CreatedAt?: Date | undefined;
  ModifiedAt?: Date | undefined;
  HlsManifests?: ListHlsManifestConfiguration[] | undefined;
  LowLatencyHlsManifests?: ListLowLatencyHlsManifestConfiguration[] | undefined;
  DashManifests?: ListDashManifestConfiguration[] | undefined;
  ForceEndpointErrorConfiguration?: ForceEndpointErrorConfiguration | undefined;
}
export interface ListOriginEndpointsResponse {
  Items?: OriginEndpointListConfiguration[] | undefined;
  NextToken?: string | undefined;
}
export interface DeleteOriginEndpointPolicyRequest {
  ChannelGroupName: string | undefined;
  ChannelName: string | undefined;
  OriginEndpointName: string | undefined;
}
export interface DeleteOriginEndpointPolicyResponse {}
export interface GetOriginEndpointPolicyRequest {
  ChannelGroupName: string | undefined;
  ChannelName: string | undefined;
  OriginEndpointName: string | undefined;
}
export interface GetOriginEndpointPolicyResponse {
  ChannelGroupName: string | undefined;
  ChannelName: string | undefined;
  OriginEndpointName: string | undefined;
  Policy: string | undefined;
}
export interface PutOriginEndpointPolicyRequest {
  ChannelGroupName: string | undefined;
  ChannelName: string | undefined;
  OriginEndpointName: string | undefined;
  Policy: string | undefined;
}
export interface PutOriginEndpointPolicyResponse {}
export interface UpdateOriginEndpointRequest {
  ChannelGroupName: string | undefined;
  ChannelName: string | undefined;
  OriginEndpointName: string | undefined;
  ContainerType: ContainerType | undefined;
  Segment?: Segment | undefined;
  Description?: string | undefined;
  StartoverWindowSeconds?: number | undefined;
  HlsManifests?: CreateHlsManifestConfiguration[] | undefined;
  LowLatencyHlsManifests?:
    | CreateLowLatencyHlsManifestConfiguration[]
    | undefined;
  DashManifests?: CreateDashManifestConfiguration[] | undefined;
  ForceEndpointErrorConfiguration?: ForceEndpointErrorConfiguration | undefined;
  ETag?: string | undefined;
}
export interface UpdateOriginEndpointResponse {
  Arn: string | undefined;
  ChannelGroupName: string | undefined;
  ChannelName: string | undefined;
  OriginEndpointName: string | undefined;
  ContainerType: ContainerType | undefined;
  Segment: Segment | undefined;
  CreatedAt: Date | undefined;
  ModifiedAt: Date | undefined;
  Description?: string | undefined;
  StartoverWindowSeconds?: number | undefined;
  HlsManifests?: GetHlsManifestConfiguration[] | undefined;
  LowLatencyHlsManifests?: GetLowLatencyHlsManifestConfiguration[] | undefined;
  ForceEndpointErrorConfiguration?: ForceEndpointErrorConfiguration | undefined;
  ETag?: string | undefined;
  Tags?: Record<string, string> | undefined;
  DashManifests?: GetDashManifestConfiguration[] | undefined;
}
export interface UpdateChannelRequest {
  ChannelGroupName: string | undefined;
  ChannelName: string | undefined;
  ETag?: string | undefined;
  Description?: string | undefined;
  InputSwitchConfiguration?: InputSwitchConfiguration | undefined;
  OutputHeaderConfiguration?: OutputHeaderConfiguration | undefined;
}
export interface UpdateChannelResponse {
  Arn: string | undefined;
  ChannelName: string | undefined;
  ChannelGroupName: string | undefined;
  CreatedAt: Date | undefined;
  ModifiedAt: Date | undefined;
  Description?: string | undefined;
  IngestEndpoints?: IngestEndpoint[] | undefined;
  InputType?: InputType | undefined;
  ETag?: string | undefined;
  Tags?: Record<string, string> | undefined;
  InputSwitchConfiguration?: InputSwitchConfiguration | undefined;
  OutputHeaderConfiguration?: OutputHeaderConfiguration | undefined;
}
export interface CreateChannelGroupRequest {
  ChannelGroupName: string | undefined;
  ClientToken?: string | undefined;
  Description?: string | undefined;
  Tags?: Record<string, string> | undefined;
}
export interface CreateChannelGroupResponse {
  ChannelGroupName: string | undefined;
  Arn: string | undefined;
  EgressDomain: string | undefined;
  CreatedAt: Date | undefined;
  ModifiedAt: Date | undefined;
  ETag?: string | undefined;
  Description?: string | undefined;
  Tags?: Record<string, string> | undefined;
}
export interface DeleteChannelGroupRequest {
  ChannelGroupName: string | undefined;
}
export interface DeleteChannelGroupResponse {}
export interface GetChannelGroupRequest {
  ChannelGroupName: string | undefined;
}
export interface GetChannelGroupResponse {
  ChannelGroupName: string | undefined;
  Arn: string | undefined;
  EgressDomain: string | undefined;
  CreatedAt: Date | undefined;
  ModifiedAt: Date | undefined;
  Description?: string | undefined;
  ETag?: string | undefined;
  Tags?: Record<string, string> | undefined;
}
export interface S3DestinationConfig {
  BucketName: string | undefined;
  DestinationPath: string | undefined;
}
export interface Destination {
  S3Destination: S3DestinationConfig | undefined;
}
export interface HarvestedDashManifest {
  ManifestName: string | undefined;
}
export interface HarvestedHlsManifest {
  ManifestName: string | undefined;
}
export interface HarvestedLowLatencyHlsManifest {
  ManifestName: string | undefined;
}
export interface HarvestedManifests {
  HlsManifests?: HarvestedHlsManifest[] | undefined;
  DashManifests?: HarvestedDashManifest[] | undefined;
  LowLatencyHlsManifests?: HarvestedLowLatencyHlsManifest[] | undefined;
}
export interface HarvesterScheduleConfiguration {
  StartTime: Date | undefined;
  EndTime: Date | undefined;
}
export interface CreateHarvestJobRequest {
  ChannelGroupName: string | undefined;
  ChannelName: string | undefined;
  OriginEndpointName: string | undefined;
  Description?: string | undefined;
  HarvestedManifests: HarvestedManifests | undefined;
  ScheduleConfiguration: HarvesterScheduleConfiguration | undefined;
  Destination: Destination | undefined;
  ClientToken?: string | undefined;
  HarvestJobName?: string | undefined;
  Tags?: Record<string, string> | undefined;
}
export declare const HarvestJobStatus: {
  readonly CANCELLED: "CANCELLED";
  readonly COMPLETED: "COMPLETED";
  readonly FAILED: "FAILED";
  readonly IN_PROGRESS: "IN_PROGRESS";
  readonly QUEUED: "QUEUED";
};
export type HarvestJobStatus =
  (typeof HarvestJobStatus)[keyof typeof HarvestJobStatus];
export interface CreateHarvestJobResponse {
  ChannelGroupName: string | undefined;
  ChannelName: string | undefined;
  OriginEndpointName: string | undefined;
  Destination: Destination | undefined;
  HarvestJobName: string | undefined;
  HarvestedManifests: HarvestedManifests | undefined;
  Description?: string | undefined;
  ScheduleConfiguration: HarvesterScheduleConfiguration | undefined;
  Arn: string | undefined;
  CreatedAt: Date | undefined;
  ModifiedAt: Date | undefined;
  Status: HarvestJobStatus | undefined;
  ErrorMessage?: string | undefined;
  ETag?: string | undefined;
  Tags?: Record<string, string> | undefined;
}
export interface GetHarvestJobRequest {
  ChannelGroupName: string | undefined;
  ChannelName: string | undefined;
  OriginEndpointName: string | undefined;
  HarvestJobName: string | undefined;
}
export interface GetHarvestJobResponse {
  ChannelGroupName: string | undefined;
  ChannelName: string | undefined;
  OriginEndpointName: string | undefined;
  Destination: Destination | undefined;
  HarvestJobName: string | undefined;
  HarvestedManifests: HarvestedManifests | undefined;
  Description?: string | undefined;
  ScheduleConfiguration: HarvesterScheduleConfiguration | undefined;
  Arn: string | undefined;
  CreatedAt: Date | undefined;
  ModifiedAt: Date | undefined;
  Status: HarvestJobStatus | undefined;
  ErrorMessage?: string | undefined;
  ETag?: string | undefined;
  Tags?: Record<string, string> | undefined;
}
export interface ListHarvestJobsRequest {
  ChannelGroupName: string | undefined;
  ChannelName?: string | undefined;
  OriginEndpointName?: string | undefined;
  Status?: HarvestJobStatus | undefined;
  MaxResults?: number | undefined;
  NextToken?: string | undefined;
}
export interface HarvestJob {
  ChannelGroupName: string | undefined;
  ChannelName: string | undefined;
  OriginEndpointName: string | undefined;
  Destination: Destination | undefined;
  HarvestJobName: string | undefined;
  HarvestedManifests: HarvestedManifests | undefined;
  Description?: string | undefined;
  ScheduleConfiguration: HarvesterScheduleConfiguration | undefined;
  Arn: string | undefined;
  CreatedAt: Date | undefined;
  ModifiedAt: Date | undefined;
  Status: HarvestJobStatus | undefined;
  ErrorMessage?: string | undefined;
  ETag?: string | undefined;
}
export interface ListHarvestJobsResponse {
  Items?: HarvestJob[] | undefined;
  NextToken?: string | undefined;
}
export interface ListChannelGroupsRequest {
  MaxResults?: number | undefined;
  NextToken?: string | undefined;
}
export interface ListChannelGroupsResponse {
  Items?: ChannelGroupListConfiguration[] | undefined;
  NextToken?: string | undefined;
}
export interface UpdateChannelGroupRequest {
  ChannelGroupName: string | undefined;
  ETag?: string | undefined;
  Description?: string | undefined;
}
export interface UpdateChannelGroupResponse {
  ChannelGroupName: string | undefined;
  Arn: string | undefined;
  EgressDomain: string | undefined;
  CreatedAt: Date | undefined;
  ModifiedAt: Date | undefined;
  Description?: string | undefined;
  ETag?: string | undefined;
  Tags?: Record<string, string> | undefined;
}
export interface ListTagsForResourceRequest {
  ResourceArn: string | undefined;
}
export interface ListTagsForResourceResponse {
  Tags?: Record<string, string> | undefined;
}
export interface TagResourceRequest {
  ResourceArn: string | undefined;
  Tags: Record<string, string> | undefined;
}
export interface UntagResourceRequest {
  ResourceArn: string | undefined;
  TagKeys: string[] | undefined;
}
